package com.dayou.mapper;

import com.dayou.dto.UserShareRate;
import com.dayou.entity.BusinessPerformanceDistribution;
import com.dayou.dao.CustomBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 绩效分配比例信息 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2024-05-09
 */
public interface BusinessPerformanceDistributionMapper extends CustomBaseMapper<BusinessPerformanceDistribution> {

    /**
     * 根据申报id获取绩效比列分配集合
     * @param declareId 申报id
     * @return List<UserShareRate>
     */
    List<UserShareRate> alloAssetsDistributionDeclareId(@Param("declareId") Long declareId);

}
