package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.FinanceFineRefundSelectDTO;
import com.dayou.entity.FinanceFineRefund;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.FinanceFineRefundVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 罚款退款表 Mapper 接口
 * </p>
 *
 * @author GouGengquan
 * @since 2025-04-07
 */
public interface FinanceFineRefundMapper extends CustomBaseMapper<FinanceFineRefund> {

    /**
     * 条件分页查询罚款退款记录
     * @param page 分页
     * @param dto 查询条件
     * @return Page<FinanceFineRefundVO>
     */
    Page<FinanceFineRefundVO> selectPage(@Param("page") Page page, @Param("dto") FinanceFineRefundSelectDTO dto);

    /**
     * 导出罚款退款记录
     * @param dto 查询条件
     * @return List<FinanceFineRefundVO>
     */
    List<FinanceFineRefundVO> exportList(@Param("dto") FinanceFineRefundSelectDTO dto);

}
