package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.MarketLog;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.ItemUserLogVO;
import com.dayou.vo.MarketLogVO;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 市场人员日志 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-01-13
 */
public interface MarketLogMapper extends CustomBaseMapper<MarketLog> {


    List<ItemUserLogVO> getList(@Param("startDate") LocalDate startDate,
                                @Param("endDate") LocalDate endDate ,
                                @Param("userIds")Set<Long> userIds,
                                @Param("keyword") String keyword);

    Page<MarketLogVO> getPage(Page page,@Param("marketLog") MarketLog marketLog);
}
