package com.dayou.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.PaymentDetailDTO;
import com.dayou.dto.PaymentExportDTO;
import com.dayou.entity.PaymentCollection;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.ItemPaymentVO;
import com.dayou.vo.PaymentCollectionVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 回款记录 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-01-10
 */
public interface PaymentCollectionMapper extends CustomBaseMapper<PaymentCollection> {

    IPage<ItemPaymentVO> getItemPayment(Page page,@Param("dto") PaymentCollectionVO paymentCollectionVO);

    Page<PaymentCollectionVO> page(Page page, @Param("dto") PaymentCollectionVO paymentCollection);

    /**
     * 回款记录导出
     */
    List<PaymentCollectionVO> exportPaymentCollection(@Param("dto") PaymentCollectionVO paymentCollection);

    PaymentCollection getDeleted(@Param("id") Long id);

    List<PaymentDetailDTO> getPaymentDetailListByItemId(@Param("itemId") Long itemId ,@Param("userId") Long userId);

    List<PaymentExportDTO> getList(@Param("dto") PaymentCollectionVO paymentCollectionVO);
}
