package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.ProductionReturnSelectDTO;
import com.dayou.entity.ProductionReturn;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.ProductionReturnVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 产品退回申请表 Mapper 接口
 * </p>
 *
 * @author GouGengquan
 * @since 2025-04-07
 */
public interface ProductionReturnMapper extends CustomBaseMapper<ProductionReturn> {

    /**
     * 根据条件查询审核中或已通过的退回流程数量
     * @param productionReturn 退回信息
     * @return Integer
     */
    Integer count(@Param("return") ProductionReturn productionReturn);

    /**
     * 分页查询产品申请
     * @param page 分页
     * @param dto 查询条件
     * @return Page<ProductionReturnVO>
     */
    Page<ProductionReturnVO> selectPage(@Param("page") Page page, @Param("dto") ProductionReturnSelectDTO dto);


    /**
     * 导出产品申请
     * @param dto 查询条件
     * @return Page<ProductionReturnVO>
     */
    List<ProductionReturnVO> exportList(@Param("dto") ProductionReturnSelectDTO dto);

}
