package com.dayou.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 类说明：可文档搜索
 *
 * @author: wucl
 * @since: 2024/4/25
 * created with IntelliJ IDEA.
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface LuceneSearchable {

    /**
     * DB中的字段（若是驼峰类型，必指定DB字段）
     * @return
     */
    String value() default "";

    /**
     * 跳转的URL
     * @return
     */
    String url() default "";

    /**
     * 菜单名称
     * @return
     */
    String menuName() default "";


}
