package com.dayou.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class AssetsSelectDTO {

    /**
     * 业务节点实例code
     */
    private String nodeCode;

    /**
     * 关键字信息
     */
    private String keyWord;

    /**
     * 客户经理id(user_id)
     */
    private Long clientManagerId;

    /**
     * 项目负责人id(user_id)
     */
    private Long principalId;

    /**
     * 资产业务类型
     */
    private String assetsBusinessGener;

    /**
     * 送达状态
     */
    private Boolean delivery;

    /**
     * 处理人id
     */
    private Long handlerId;

    /**
     * 筛选开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    /**
     * 筛选结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    /**
     * 委托人
     */
    private String bailor;

    /**
     * 委托人电话
     */
    private String bailorContactTel;

    /**
     * 客户经理
     */
    private String userName;

    /**
     * 项目负责人
     */
    private String managerName;

    /**
     * 客户名称
     */
    private String customerName;

    /**
     * 业务来源
     */
    private String customerSubName;

    /**
     * 入库时间
     */
    private Date repertoryInTime;

    /**
     * 出库时间
     */
    private Date repertoryOutTime;

    /**
     * 归档时间
     */
    private Date archivedTime;

    /**
     * 部门id
     */
    private Long departmentId;

    /**
     * 是否根据部门id集合查询
     */
    private Boolean selectByDepartment;

    /**
     * 是否查询资产列表
     */
    private Boolean selectByAll;

    /**
     * 是否获取所有当前为装订盖章节点(报告\意见书)的流程
     */
    private Boolean getNodeIsBookbindingStamp;

    /**
     * 部门id
     */
    private List<Long> departmentIdList;
}
