package com.dayou.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class AssetsStatisticalSelectDTO {

    /**
     * 客户id
     */
    private Long customerId;

    /**
     * 客户联系人id
     */
    private Long clienteleContactId;

    /**
     * 关键字信息
     */
    private String keyWord;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 客户经理id(user_id)
     */
    private Long clientManagerId;

    /**
     * 项目负责人id(user_id)
     */
    private Long principalId;

    /**
     * 接单部门id
     */
    private Long departmentId;

    /**
     * 市场部门id
     */
    private Long marketDepartmentId;

    /**
     * 资产业务类型
     */
    private String assetsBusinessGener;

    /**
     * 筛选开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    /**
     * 筛选结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    /**
     * 审核轮次
     */
    private String checkLoop;

    /**
     * 错误类型(normal、hard、fatal)
     */
    private String mistakeType;

    /**
     * 效率类型(接单:order、预评:statement、报告:report、应收款:should、实收款:real)
     */
    private String efficiencyType;

}
