package com.dayou.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 罚款退款记录查询条件
 */
@Data
public class FinanceFineRefundSelectDTO {

    /**
     * 业务类型
     */
    private String businessType;

    /**
     * 关键字(项⽬编号或产品号)
     */
    private String keyWord;

    /**
     * 已罚金额（罚款表实际罚款金额）
     */
    private BigDecimal finedAmount;

    /**
     * 退款金额（罚款表实际罚款金额）
     */
    private BigDecimal refundAmount;

    /**
     * 客户经理
     */
    private String clientManagerName;

    /**
     * 是否确认
     */
    private Boolean status;

    /**
     * 罚款日期-起始
     */
    private LocalDateTime startPunishDate;

    /**
     * 罚款日期-结束
     */
    private LocalDateTime endPunishDate;

    /**
     * 退款日期-起始
     */
    private LocalDateTime startRefundDate;

    /**
     * 退款日期-结束
     */
    private LocalDateTime endRefundDate;

    /**
     * 客户经理id
     */
    private Long clientManagerId;

}
