package com.dayou.dto;

import com.dayou.enums.ProductionEnum;
import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;

import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/11/10
 * created with IntelliJ IDEA.
 */
@Data
public class InstanceNodeDTO {

    @AbcValidate(required = true,message = "业务类型不能为空",fun = Check.NotEmpty)
    private String mainBusiness;
    @AbcValidate(required = true,message = "业务id不能为空",fun = Check.NotEmpty)
    private Long businessId;
    /**
     * 二级业务id
     */
    private String businessSubId;

    /**
     * 三级业务id
     */
    private String businessMinId;

    /**
     * 产品类型
     */
    private List<ProductionEnum> production;

    /**
     * 价值意见书是否收费
     */
    private Boolean ifPay;
}
