package com.dayou.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/4/11
 * created with IntelliJ IDEA.
 */
@Data
public class ItemBrokerageGeneralDTO {

    /**
     * 主键自增id
     *
     * @ignore
     */
    @TableId(value = "id", type = IdType.AUTO)
    protected Long id;

    /**
     * 创建时间
     *
     * @ignore
     */
    private Date created;

    /**
     * 修改时间
     *
     * @ignore
     */
    private Date modified;

    /**
     * 标志位
     *
     * @ignore
     */
    @JsonIgnore
    private Boolean deleted;

    /**
     * 项目id
     */
    private Long itemId;

    /**
     * 客户经理提成金额
     */
    private BigDecimal marketerBrokerageAmount;

    /**
     * 客户经理预提
     */
    private Boolean marketerAdvanceBrokerageAble;

    /**
     * 客户经理已预提
     */
    private Boolean marketerAdvanceBrokerageDone;

    /**
     * 参与人预计提成总金额
     */
    @TableField("participant_predict_brokerage_amount")
    private BigDecimal participantPredictBrokerageAmount;

    /**
     * 参与人实际提成总金额
     */
    @TableField("participant_actual_brokerage_amount")
    private BigDecimal participantActualBrokerageAmount;

    /**
     * 参与人预提中
     */
    private Boolean participantAdvanceStatus;

    /**
     * 预计提成总金额
     */
    private BigDecimal brokeragePredictAmount;

    /**
     * 已提成总金额
     */
    private BigDecimal brokerageActualAmount;

    /**
     * 提成率
     */
    private BigDecimal brokerageRate;

    /**
     * 参与人提成状态
     */
    private String participantStatus;

    /**
     * 客户经理提成状态
     */
    private String marketerStatus;

    /**
     * 合同金额
     */
    private BigDecimal amount;

    /**
     * 客户经理id
     */
    private Long userId;

}
