package com.dayou.dto;

import com.dayou.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/6/26
 * created with IntelliJ IDEA.
 */
@Data
public class PaymentExportDTO {

    /**
     * 项目名称
     */
    @Excel(name = "项目名称",width=40)
    private String name;

    /**
     * 事业部流水号
     */
    @Excel(name = "事业部流水号")
    private String businessNo;

    /**
     * 公司OA流水号(项目编号)
     */
    @Excel(name = "项目编号")
    private String oaNo;

    /**
     * 客户经理
     */
    @Excel(name = "客户经理")
    private String clientManager;

    /**
     * 委托单位
     */
    @Excel(name = "委托单位")
    private String clientUnit;

    /**
     * 合同签订时间
     */
    @Excel(name = "签订时间")
    private LocalDate signDate;

    /**
     * 合同金额
     */
    @Excel(name = "合同金额")
    private BigDecimal amount;

    /**
     * 已回款
     */
    @Excel( name="已收款金额（元）")
    private BigDecimal payedAmount;

    /**
     * 未回款
     */
    @Excel( name="未收款金额（元）")
    private BigDecimal NotPayedAmount;
}
