package com.dayou.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class PersonalStatisticalSelectDTO {

    /**
     * 筛选开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    /**
     * 筛选结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    /**
     * 评估目的(咨询、抵押、按揭、合计)
     */
    private String evaluateAim;

    /**
     * 效率类型(订单:order、预评:statement、报告:report、应收款:should、实收款:real)
     */
    private String efficiencyType;

    /**
     * 外业人员id
     */
    private Long outwardStaff;

    /**
     * 内业人员id
     */
    private Long inwardStaff;

    /**
     * 客户名称
     */
    private String customerName;

    /**
     * 客户经理id
     */
    private Long clientManagerId;

    /**
     * 出具产品时间筛选开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date productionTimeStart;

    /**
     * 出具产品时间筛选结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date productionTimeEnd;

}
