package com.dayou.dto;

import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/12/14
 * created with IntelliJ IDEA.
 */
@Data
public class ProductionDTO {

    private Long id;


    private String productionNo;


    private Long productionFundId;

    /**
     * 产品类型
     */
    @ImportCell
    @ExportCell(columnName = "产品类型")
    private String production;

    /**
     * 项目名称
     */
    @ImportCell
    @ExportCell(columnName = "项目名称")
    private String name;

    /**
     * 委托方名称
     */
    @ImportCell
    @ExportCell(columnName = "委托方名称")
    private String clientName;

    /**
     * 产权人
     */
    @ImportCell
    @ExportCell(columnName = "产权人")
    private String owner;

    /**
     * 评估面积
     */
    @ImportCell
    @ExportCell(columnName = "评估面积")
    private BigDecimal evaluateAcreage;

    /**
     * 评估总价
     */
    @ImportCell
    @ExportCell(columnName = "评估总价")
    private BigDecimal evaluateAmount;

    /**
     * 评估单价
     */
    @ImportCell
    @ExportCell(columnName = "评估单价")
    private BigDecimal evaluatePrice;

    /**
     *库存状态（0：已入库  1：已出库）
     */
    private Boolean repertoryState;

    /**
     *入库时间
     */
    private Date repertoryInTime;

    /**
     *出库时间
     */
    private Date repertoryOutTime;

    /**
     *是否归档
     */
    private Boolean ifSaveFile;

    /**
     * 归档日期
     */
    private LocalDate saveFileDate;

    /**
     * 送达状态
     */
    private Boolean delivery;

    /**
     * 产品实收款金额
     */
    private BigDecimal realAmount;

    /**
     * 出具报告日期
     */
    private String createDate;

    /**
     * 实勘日期
     */
    private String sceneDate;

    /**
     * 报告使用期限
     */
    private String limitDate;

    /**
     * 订单应收款
     */
    private BigDecimal orderShouldAmount;

    /**
     * 产品应收款
     */
    private BigDecimal shouldAmount;

    private String orderId;

    private String orderName;

    private Long businessId;

    private Long orderFundId;



}
