package com.dayou.dto;

import com.dayou.enums.MainBusinessEnum;
import com.dayou.enums.ProductionEnum;
import com.dayou.enums.TakeNumberEnum;
import com.dayou.vo.IdNameVO;
import lombok.Data;

import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/11/6
 * created with IntelliJ IDEA.
 */
@Data
public class TakeNumberDTO {

    /**
     * 项目id
     */
    private Long businessId;

    /**
     * 业务类型
     */
    private MainBusinessEnum businessType;

    /**
     *  取号类型（土地，房地产）
     */
    private TakeNumberEnum takeType;

    /**
     * 产品类型
     */
    private ProductionEnum productionType;

    /**
     * 估价对象id
     */
    private List<IdNameVO> targets;

    /**
     * 取号年份
     */
    private Integer year;

    /**
     * 订单号（流水号）
     */
    private String orderId;

    /**
     * 已取的价值意见书号
     */
    private String statementNo;
}
