package com.dayou.entity;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.annotation.Excel;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 资产业务订单表
 * </p>
 *
 * @author GouGengquan
 * @since 2024-03-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "资产业务订单表")
public class Assets extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 项目编号
     */
    @ImportCell
    @ExportCell(columnName = "项目编号")
    @Excel(name = "项目编号")
    private String orderId;

    /**
     * 分单类型
     */
    @ImportCell
    @ExportCell(columnName = "分单类型")
    @Excel(name = "分单类型")
    private String allotType;

    /**
     * 项目名称
     */
    @ImportCell
    @ExportCell(columnName = "项目名称")
    @Excel(name = "项目名称")
    private String name;

    /**
     * 客户经理id(user_id)
     */
    private Long clientManagerId;

    /**
     * 项目负责人id(user_id)
     */
    private Long principalId;

    /**
     * 接单部门id
     */
    private Long departmentId;

    /**
     * 资产业务类型
     */
    @ImportCell
    @ExportCell(columnName = "资产业务类型")
    @Excel(name = "业务类型")
    private String assetsBusinessGener;

    /**
     * 客户再次委托
     */
    @ImportCell
    @ExportCell(columnName = "客户再次委托")
    private Boolean entrustAgain;

    /**
     * 客户类型（企业，个人）
     */
    @ImportCell
    @ExportCell(columnName = "客户类型（企业，个人）")
    private String clienteleType;

    /**
     * 客户id
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long clienteleId;

    /**
     * 业务来源（下级客户id）
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long clienteleSubId;

    /**
     * 客户联系人id
     */
    private Long clienteleContactId;

    /**
     * 是否证券项目(0:Y 1:N)
     */
    @ImportCell
    @ExportCell(columnName = "是否证券项目(0:N 1:Y)")
    private Boolean security;

    /**
     * 是否资产重组项目(0:Y 1:N)
     */
    @ImportCell
    @ExportCell(columnName = "是否资产重组项目(0:N 1:Y)")
    private Boolean significantAssetsReorganization;

    /**
     * 是否国资项目(0:Y 1:N)
     */
    @ImportCell
    @ExportCell(columnName = "是否国资项目(0:N 1:Y)")
    private Boolean stateAssets;

    /**
     * 是否涉及境外资产(0:Y 1:N)
     */
    @ImportCell
    @ExportCell(columnName = "是否涉及境外资产(0:N 1:Y)")
    private Boolean foreignAssetsInvolved;

    /**
     * 是否分配产值
     */
    @ImportCell
    @ExportCell(columnName = "是否分配产值(0:N 1:Y)")
    private Boolean dispenseBenefit;

    /**
     * 委托人
     */
    @ImportCell
    @ExportCell(columnName = "委托人")
    @Excel(name = "委托人")
    private String bailor;

    /**
     * 委托人地址
     */
    @ImportCell
    @ExportCell(columnName = "委托人地址")
    private String bailorAddress;

    /**
     * 委托联系人姓名
     */
    @ImportCell
    @ExportCell(columnName = "委托联系人姓名")
    private String bailorContactName;

    /**
     * 委托人联系人电话
     */
    @ImportCell
    @ExportCell(columnName = "委托人联系人电话")
    @Excel(name = "委托人联系电话")
    private String bailorContactTel;

    /**
     * 终端客户id
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long terminalClienteleId;

    /**
     * 终端客户类型（企业，个人）
     */
    @ImportCell
    @ExportCell(columnName = "终端客户类型（企业，个人）")
    private String terminalClienteleType;

    /**
     * 终端联系人
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long terminalClienteleContactId;

    /**
     * 项目参与人(json格式,存用户表id)
     */
    @ImportCell
    @ExportCell(columnName = "项目参与人(json格式,存用户表id)")
    private String members;

    /**
     * 备注
     */
    @ImportCell
    @ExportCell(columnName = "备注")
    private String remark;

    /**
     * 市场部门id(下单部门id)
     */
    private Long marketDepartmentId;


}
