package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 资产评估对象类型表
 * </p>
 *
 * @author GouGengquan
 * @since 2024-03-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "资产评估对象类型表")
public class AssetsEvaluationTargetType extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 父级id(0代表没有父级)
     */
    private Long parentId;

    /**
     * 资产评估对象类型名
     */
    @ImportCell
    @ExportCell(columnName = "资产评估对象类型名")
    private String typeName;


}
