package com.dayou.entity;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 自定义提成基数
 * </p>
 *
 * @author wucl
 * @since 2023-03-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "自定义提成基数")
public class BrokerageBaseAmount extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 自定义提成基数金额
     */
    @ImportCell
    @ExportCell(columnName = "自定义提成基数金额")
    @TableField(value = "base_amount", fill = FieldFill.UPDATE)
    private BigDecimal baseAmount;


}
