package com.dayou.entity;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;

import static com.dayou.common.Constants.MATH_REGULAR;

/**
 * <p>
 * 领导岗位抽成率
 * </p>
 *
 * @author wucl
 * @since 2023-03-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "领导岗位抽成率")
public class BrokeragePostRatio extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 岗位抽成率
     */
    @ImportCell
    @ExportCell(columnName = "岗位抽成率")
    @TableField(value = "brokerage_ratio", fill = FieldFill.UPDATE)
    private BigDecimal brokerageRatio;

    /**
     * 岗位提成规则
     */
    private String brokerageRule;


}
