package com.dayou.entity;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 浮动提成
 * </p>
 *
 * @author wucl
 * @since 2023-04-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "浮动提成")
public class BrokerageVariable extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 回款id
     */
    private Long paymentId;

    /**
     * 市场部领导id
     */
    private Long userId;

    /**
     * 岗位类型（营销主管，市场部经理）
     */
    @ImportCell
    @ExportCell(columnName = "岗位类型（营销主管，市场部经理）")
    private String userType;

    /**
     * 总提成金额
     */
    @ImportCell
    @ExportCell(columnName = "总提成金额")
    private BigDecimal brokerageAmount;

    /**
     * 已结算金额
     */
    @ImportCell
    @ExportCell(columnName = "已结算金额")
    private BigDecimal settledAmount;

    /**
     * 未结算金额
     */
    @ImportCell
    @ExportCell(columnName = "未结算金额")
    private BigDecimal unsettledAmount;

    @TableField(exist = false)
    private Long brokerageDetailId;
}
