package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 业务文档
 * </p>
 *
 * @author wucl
 * @since 2024-03-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "业务文档")
public class BusinessFile extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 业务类型
     */
    @ImportCell
    @ExportCell(columnName = "业务类型")
    private String businessType;

    /**
     * 产品id
     */
    private Long productionId;

    /**
     * 估价对象id
     */
    private Long targetId;

    /**
     * 文档类型
     */
    @ImportCell
    @ExportCell(columnName = "文档类型")
    private String fileType;

    /**
     * 文档地址
     */
    @ImportCell
    @ExportCell(columnName = "文档地址")
    private String filePath;

    /**
     * 创建人id
     */
    private Long userId;


}
