package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 产品选择记录
 * </p>
 *
 * @author wucl
 * @since 2024-05-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "产品选择记录")
public class BusinessProductionChoiceLog extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 业务类型
     */
    @ImportCell
    @ExportCell(columnName = "业务类型")
    private String businessType;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 评估对象id
     */
    private Long targetId;

    /**
     * 产品id
     */
    private Long productionId;

    /**
     * 产品选择的类型
     */
    @ImportCell
    @ExportCell(columnName = "产品选择的类型")
    private String productionType;

    /**
     * 打印数量
     */
    private Integer printCount;

    /**
     * 该记录的取号状态
     */
    @ImportCell
    @ExportCell(columnName = "该记录的取号状态")
    private Boolean takeNoStatus;


}
