package com.dayou.entity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;

import java.util.List;

/**
 * <p>
 * 业务产品绩效分配
 * </p>
 *
 * @author wucl
 * @since 2023-11-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "业务产品质检表")
public class BusinessProductionPerformance extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 业务类型
     */
    private String BusinessType;

    /**
     * 主业务id
     */
    private Long productionId;

    /**
     * 审核轮次
     */
    private String CheckLoop;


    /**
     * 重大错误个数
     */
    @ImportCell
    @ExportCell(columnName = "重大错误个数")
    private Integer fatalMistake;

    /**
     * 较大错误个数
     */
    @ImportCell
    @ExportCell(columnName = "较大错误个数")
    private Integer hardMistake;

    /**
     * 一般错误个数
     */
    @ImportCell
    @ExportCell(columnName = "一般错误个数")
    private Integer normalMistake;

    /**
     * 扣分原因
     */
    @ImportCell
    @ExportCell(columnName = "扣分原因")
    private String reason;

    /**
     * 审核人
     */
    private Long checkId;

    @TableField(exist = false)
    private String principal;
    @TableField(exist = false)
    private String productionName;
    @TableField(exist = false)
    private String productionType;
    @TableField(exist = false)
    private Long pId;
    @TableField(exist = false)
    private Boolean operation;
    @TableField(exist = false)
    private Boolean isRecord;
    @TableField(exist = false)
    private List<String> normalMistakes;
    @TableField(exist = false)
    private List<String> xNormalMistakes;
    @TableField(exist = false)
    private List<String> hardMistakes;
    @TableField(exist = false)
    private List<String> xHardMistakes;
    @TableField(exist = false)
    private List<String> fatalMistakes;
    @TableField(exist = false)
    private List<String> xFatalMistakes;

}
