package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 提成申报
 * </p>
 *
 * @author wucl
 * @since 2024-05-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "提成申报")
public class CommissionDeclare extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 业务类型
     */
    @ImportCell
    @ExportCell(columnName = "业务类型")
    private String businessType;

    /**
     * business_commission_rate 表id
     */
    private Long commissionRateId;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 产品id
     */
    private Long productionId;

    /**
     * 申报人id
     */
    private Long declareUserId;

    /**
     * 审批结果（0：驳回，1：通过）
     */
    private String declareResult;

    /**
     * 提成比例
     */
    private Double ratio;

    /**
     * 提成申报自定义提成下限
     */
    private Double definedLowLimitAmount;

}
