package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 企业客户
 * </p>
 *
 * @author wucl
 * @since 2023-12-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "企业客户")
public class CustomerCompany extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 上级id
     */
    private Long parentId;

    /**
     * 层级
     */
    @ImportCell
    @ExportCell(columnName = "层级")
    private Integer level;

    /**
     * 客户名称
     */
    @ImportCell
    @ExportCell(columnName = "客户名称")
    private String name;

    /**
     * 终端客户
     */
    @ImportCell
    @ExportCell(columnName = "终端客户")
    private Boolean terminal;

    /**
     * 企业/单位类型
     */
    @ImportCell
    @ExportCell(columnName = "企业/单位类型")
    private String companyType;

    /**
     * 机构类型
     */
    @ImportCell
    @ExportCell(columnName = "机构类型")
    private String orgType;

    /**
     * 地址
     */
    @ImportCell
    @ExportCell(columnName = "地址")
    private String address;

    /**
     * 座机号
     */
    @ImportCell
    @ExportCell(columnName = "座机号")
    private String phone;

    /**
     * 客户经理id
     */
    private Long clientManagerId;

}
