package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 企业客户联系人
 * </p>
 *
 * @author wucl
 * @since 2023-12-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "企业客户联系人")
public class CustomerLinkman extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 企业客户id
     */
    private Long ccId;

    /**
     * 联系人姓名
     */
    @ImportCell
    @ExportCell(columnName = "联系人姓名")
    private String name;

    /**
     * 手机号
     */
    @ImportCell
    @ExportCell(columnName = "手机号")
    private String mobile;

    /**
     * 座机号
     */
    @ImportCell
    @ExportCell(columnName = "座机号")
    private String phone;

    /**
     * 性别
     */
    @ImportCell
    @ExportCell(columnName = "性别")
    private String sex;

    /**
     * 身份证号码
     */
    @ImportCell
    @ExportCell(columnName = "身份证号码")
    private String idNo;

    /**
     * 微信号
     */
    @ImportCell
    @ExportCell(columnName = "微信号")
    private String wechatNo;

    /**
     * QQ号
     */
    @ImportCell
    @ExportCell(columnName = "QQ号")
    private String qqNo;

    /**
     * 毕业院校
     */
    @ImportCell
    @ExportCell(columnName = "毕业院校")
    private String school;

    /**
     * 毕业专业
     */
    @ImportCell
    @ExportCell(columnName = "毕业专业")
    private String industry;

    /**
     * 所在其单位部门
     */
    @ImportCell
    @ExportCell(columnName = "所在其单位部门")
    private String department;

    /**
     * 职位
     */
    @ImportCell
    @ExportCell(columnName = "职位")
    private String duty;

    /**
     * 是否是终端
     */
    @ImportCell
    @ExportCell(columnName = "是否是终端")
    private Boolean terminal;

    /**
     * 客户经理id(user_id)
     */
    private Long clientManagerId;

    /**
     * 备注
     */
    @ImportCell
    @ExportCell(columnName = "备注")
    private String description;


}
