package com.dayou.entity;
import com.dayou.annotation.*;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import static com.dayou.enums.MainBusinessEnum.SETTING_MANAGEMENT;

/**
 * <p>
 * 机构
 * </p>
 *
 * @author wucl
 * @since 2022-11-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "部门")
public class Department extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 父部门id
     */
    private Long parentId;

    /**
     * 部门名称
     */
    @ImportCell
    @ExportCell(columnName = "部门名称")
    private String name;

    /**
     * 部门领导id
     */
    private Long leaderId;

    /**
     * 联系电话
     */
    @ImportCell
    @ExportCell(columnName = "联系电话")
    private String phone;

    /**
     * 接单部门
     */
    private Boolean ifAllot;


}
