package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;

import java.util.Date;

/**
 * <p>
 * 数据同步记录
 * </p>
 *
 * @author wucl
 * @since 2024-07-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "数据同步记录")
public class DyoaRecord extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 业务
     */
    @ImportCell
    @ExportCell(columnName = "业务")
    private String mbsType;

    /**
     * mbsId
     */
    private Long mbsId;

    /**
     * dyoaId
     */
    @ImportCell
    @ExportCell(columnName = "dyoaId")
    private String dyoaId;

    /**
     * 操作人
     */
    private Long userId;

    /**
     * 下单时间个贷
     */
    private Date orderDatetime;


}
