package com.dayou.entity;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 超期未收款罚款表
 * </p>
 *
 * @author GouGengquan
 * @since 2025-04-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "超期未收款罚款表")
public class FinanceFine extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 订单收款id
     */
    private Long orderFundId;

    /**
     * 产品收款id
     */
    private Long productionFundId;

    /**
     * 处罚金额
     */
    @ImportCell
    @ExportCell(columnName = "处罚金额")
    private BigDecimal fineAmount;

    /**
     * 实际处罚金额
     */
    @ImportCell
    @ExportCell(columnName = "实际处罚金额")
    private BigDecimal realFineAmount;

    /**
     * 情况说明
     */
    @ImportCell
    @ExportCell(columnName = "情况说明")
    @TableField("`explain`")
    private String explain;

    /**
     * 领导备注
     */
    @ImportCell
    @ExportCell(columnName = "领导备注")
    private String remark;

    /**
     * 领导确认
     */
    @ImportCell
    @ExportCell(columnName = "领导确认")
    private Boolean status;

    /**
     * 领导id
     */
    private Long leaderId;

    /**
     * 确认期日
     */
    @ImportCell
    @ExportCell(columnName = "确认期日")
    private LocalDateTime confirmDate;


}
