package com.dayou.entity;
import java.math.BigDecimal;
import com.dayou.common.BaseEntity;
import java.time.LocalDateTime;

import lombok.*;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;

/**
 * <p>
 * 罚款退款表
 * </p>
 *
 * @author GouGengquan
 * @since 2025-04-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "罚款退款表")
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FinanceFineRefund extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 罚款表id
     */
    private Long fineId;

    /**
     * 退款金额（罚款表实际罚款金额）
     */
    @ImportCell
    @ExportCell(columnName = "退款金额（罚款表实际罚款金额）")
    private BigDecimal refundAmount;

    /**
     * 退款原因
     */
    @ImportCell
    @ExportCell(columnName = "退款原因")
    private String refundReason;

    /**
     * RETURNED:已退 NOT_RETURNED：未退 IGNORE：不退
     */
    @ImportCell
    @ExportCell(columnName = "RETURNED:已退 NOT_RETURNED：未退 IGNORE：不退")
    private String status;

    /**
     * 操作人id
     */
    private Long userId;

    /**
     * 退款操作日期
     */
    @ImportCell
    @ExportCell(columnName = "退款操作日期")
    private LocalDateTime refundDate;


}
