package com.dayou.entity;
import com.dayou.common.BaseEntity;
import java.time.LocalDate;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * GIS用户
 * </p>
 *
 * @author wucl
 * @since 2023-05-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "GIS用户")
public class GisUser extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 用户名称
     */
    @ImportCell
    @ExportCell(columnName = "用户名称")
    private String name;

    /**
     * 州市
     */
    @ImportCell
    @ExportCell(columnName = "州市")
    private String cityName;

    /**
     * 县市区
     */
    @ImportCell
    @ExportCell(columnName = "县市区")
    private String countryName;

    /**
     * 账号
     */
    @ImportCell
    @ExportCell(columnName = "账号")
    private String account;

    /**
     * 密码
     */
    @ImportCell
    @ExportCell(columnName = "密码")
    private String password;

    /**
     * 联系人
     */
    @ImportCell
    @ExportCell(columnName = "联系人")
    private String linkman;

    /**
     * 联系电话
     */
    @ImportCell
    @ExportCell(columnName = "联系电话")
    private String mobile;

    /**
     * 邮箱
     */
    @ImportCell
    @ExportCell(columnName = "邮箱")
    private String email;

    /**
     * 有效期
     */
    @ImportCell
    @ExportCell(columnName = "有效期")
    private LocalDate expiryDate;

    /**
     * 激活状态
     */
    @ImportCell
    @ExportCell(columnName = "激活状态")
    private Boolean enable;


}
