package com.dayou.entity;
import java.math.BigDecimal;

import com.dayou.annotation.Excel;
import com.dayou.common.BaseEntity;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 项目提成明细
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "项目提成明细")
public class ItemBrokerageDetail extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 项目提成总表id
     */
    private Long generalId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 预计提成金额
     */
    @Excel(name = "预计提成金额")
    private BigDecimal predictAmount;

    /**
     * 预提金额
     */
    @Excel(name = "预提金额")
    private BigDecimal aheadAmount;
    /**
     * 实际提成金额
     */
    @Excel(name = "实际提成金额")
    private BigDecimal actualAmount;

    /**
     * 已结算金额
     */
    @Excel(name = "已结算金额")
    private BigDecimal advanceAmount;

    /**
     * 提成规则
     */
    @Excel(name = "提成规则",readConverterExp=("LAND_OTHER_RULE=参与人员规则,LAND_MARKETER_RULE=市场人员规则,LAND_SUPERVISOR_RULE=营销主管规则,LAND_MANAGER_RULE=营销经理规则"))
    private String brokerageRule;

    /**
     * 提成方式
     */
    @Excel(name = "提成方式",readConverterExp=("PERSONAL=个人提成,TEAM_SHARE=团队提成"))
    private String brokerageMode;

    /**
     * 项目提成阶段id(非市场人员用)
     */
    private Long brokerageStageId;


}
