package com.dayou.entity;
import java.math.BigDecimal;
import com.dayou.common.BaseEntity;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 技术人员项目提成总表
 * </p>
 *
 * @author wucl
 * @since 2023-06-06
 */
@Builder
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "技术人员项目提成总表")
public class ItemBrokerageTechnicist extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 项目结算流水表id
     */
    private Long sequenceId;

    /**
     * 项目id
     */
    private Long itemId;

    /**
     * 技术人员id
     */
    private Long userId;

    /**
     * 提成总金额
     */
    @ImportCell
    @ExportCell(columnName = "提成总金额")
    private BigDecimal amount;

    /**
     * 剩余金额
     */
    @ImportCell
    @ExportCell(columnName = "剩余金额")
    private BigDecimal residueAmount;


}
