package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;

import java.math.BigDecimal;

/**
 * <p>
 * 技术人员提成抵扣记录
 * </p>
 *
 * @author wucl
 * @since 2023-06-06
 */
@Builder
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "技术人员提成抵扣记录")
public class ItemBrokerageTechnicistDeduction extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 技术人员提成总表id
     */
    private Long brokerageTechnicistId;

    /**
     * 提成流水表id
     */
    private Long brokerageSequenceId;

    /**
     * 抵扣金额
     */
    private BigDecimal deductionAmount;

}
