package com.dayou.entity;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 大中型产品绩效分配
 * </p>
 *
 * @author wucl
 * @since 2024-02-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "大中型产品绩效分配")
public class MajorProductionAllot extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 大中型业务id
     */
    private Long majorId;

    /**
     * 大中型产品id
     */
    private Long majorProductionId;

    /**
     * 提成申报id
     */
    private Long declareId;

    /**
     * 项目成员id
     */
    private Long userId;

    /**
     * 绩效比重
     */
    @ImportCell
    @ExportCell(columnName = "绩效比重")
    private BigDecimal ratio;

    /**
     * 项目负责人
     */
    @ImportCell
    @ExportCell(columnName = "项目负责人")
    private Boolean isPrincipal;

    /**
     * 人员类型
     */
    private String userType;

    @TableField(exist = false)
    private String userName;



}
