package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 消息
 * </p>
 *
 * @author wucl
 * @since 2023-06-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "消息")
public class Message extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 标题
     */
    @ImportCell
    @ExportCell(columnName = "标题")
    private String title;

    /**
     * 消息内容
     */
    @ImportCell
    @ExportCell(columnName = "消息内容")
    private String message;

    /**
     * 业务参数
     */
    private String params;

    /**
     * 消息发送人id(userId)
     */
    private Long sender;

    /**
     * 消息接受人id(userId)
     */
    private Long receiver;

    /**
     * 消息类型
     */
    @ImportCell
    @ExportCell(columnName = "消息类型")
    private String type;

    /**
     * 已读
     */
    @ImportCell
    @ExportCell(columnName = "已读")
    private Boolean isRead;


}
