package com.dayou.entity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import java.time.LocalDate;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 回款记录
 * </p>
 *
 * @author wucl
 * @since 2023-01-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "回款记录")
public class PaymentCollection extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 项目id
     */
    private Long itemId;

    /**
     * 回款名称
     */
    @ImportCell
    @ExportCell(columnName = "回款名称")
    private String name;

    /**
     * 回款金额
     */
    @ImportCell
    @ExportCell(columnName = "回款金额")
    private Double amount;

    /**
     * 回款日期
     */
    @ImportCell
    @ExportCell(columnName = "回款日期")
    private LocalDate paymentDate;

    /**
     * 订单收款id
     */
    @TableField(exist = false)
    private Long orderFundId;

    /**
     * 实收款id
     */
    @TableField(exist = false)
    private Long realAmountId;


}
