package com.dayou.entity;
import java.math.BigDecimal;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 个贷可比实例算价表
 * </p>
 *
 * @author wucl
 * @since 2024-03-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "个贷可比实例算价表")
public class PersonalCalculate extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 修正系数
     */
    @ImportCell
    @ExportCell(columnName = "修正系数")
    private BigDecimal fixValue;

    /**
     * 使用权类型(出让，划拨)
     */
    @ImportCell
    @ExportCell(columnName = "使用权类型(出让，划拨)")
    private String rightsType;

    /**
     * 环线位置
     */
    private Integer rollingLevel;

    /**
     * 计算方式（简单算术平均，加权算术平均）
     */
    @ImportCell
    @ExportCell(columnName = "计算方式（简单算术平均，加权算术平均）")
    private String calculateType;

    /**
     * 估价方法(默认比较方)
     */
    @ImportCell
    @ExportCell(columnName = "估价方法(默认比较方)")
    private String method;


    /**
     * 出让金
     */
    private BigDecimal sellMoney;

    /**
     * 出让金扣除的基准价格
     */
    private BigDecimal sellMoneyBase;

    /**
     * 出让金扣除比例
     */
    private BigDecimal sellMoneyRate;
}
