package com.dayou.entity;
import java.math.BigDecimal;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 个贷可比实例
 * </p>
 *
 * @author wucl
 * @since 2024-03-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "个贷可比实例")
public class PersonalExample extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 估价对象id
     */
    private Long targetId;

    /**
     * 是否是案例
     */
    @ImportCell
    @ExportCell(columnName = "是否是案例")
    private Boolean isExample;

    /**
     * 计算id
     */
    private Long calculateId;

    /**
     * 坐落
     */
    @ImportCell
    @ExportCell(columnName = "坐落")
    private String location;

    /**
     * 总价
     */
    @ImportCell
    @ExportCell(columnName = "总价")
    private String amount;

    /**
     * 单价
     */
    @ImportCell
    @ExportCell(columnName = "单价")
    private String price;

    /**
     * 市场状况
     */
    @ImportCell
    @ExportCell(columnName = "市场状况")
    private String marketInfo;

    /**
     * 所在楼栋
     */
    @ImportCell
    @ExportCell(columnName = "所在楼栋")
    private String orientation;

    /**
     * 建筑面积
     */
    @ImportCell
    @ExportCell(columnName = "建筑面积")
    private String acreage;


    /**
     * 所在楼层
     */
    @ImportCell
    @ExportCell(columnName = "所在楼层")
    private String atFloor;

    /**
     * 户型
     */
    @ImportCell
    @ExportCell(columnName = "户型")
    private String houseType;

    /**
     * 装修
     */
    @ImportCell
    @ExportCell(columnName = "装修")
    private String decoration;

    /**
     * 其他信息
     */
    @ImportCell
    @ExportCell(columnName = "其他信息")
    private String otherInfo;

    /**
     * 权重
     */
    private String weight;

    /**
     * 修正后价格
     */
    @ImportCell
    @ExportCell(columnName = "修正后价格")
    private String fixPrice;

    public PersonalExample(Long targetId, Long calculateId,Boolean isExample) {
        this.targetId = targetId;
        this.calculateId = calculateId;
        this.isExample = isExample;
    }

    public PersonalExample() {
    }
}
