package com.dayou.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class PersonalFacePrice extends BaseEntity {

    /**
     * 口估查询标的
     */
    private String queryTarget;

    /**
     * 楼盘名称
     */
    private String communityName;
    /**
     * 口估查询方式
     */
    private String queryType;
    /**
     * 口估单价
     */
    private BigDecimal facePrice;
    /**
     * 口估面积
     */
    private BigDecimal faceAcreage;
    /**
     * 口估总价
     */
    private BigDecimal faceAmount;
    /**
     * 大友均价
     */
    private BigDecimal dyAvgPrice;
    /**
     * 系统成交价
     */
    private BigDecimal dealPrice;
    /**
     * 系统挂牌价
     */
    private BigDecimal upPrice;
    /**
     * 大友案例个数
     */
    private Integer dyExampleNum;
    /**
     * 系统案例个数
     */
    private Integer externalExampleNum;
    /**
     * 口估查询范围
     */
    private String limitDate;
    /**
     * 价值时点
     */
    private LocalDate valueTiming;
    /**
     * 口估人员
     */
    private Long userId;

    /**
     * 口估人员名字
     */
    @TableField(exist = false)
    private String userName;

    /**
     * 查询开始日期
     */
    @TableField(exist = false)
    private String startDate;

    /**
     * 查询结束日期
     */
    @TableField(exist = false)
    private String endDate;
}
