package com.dayou.entity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import java.time.LocalDateTime;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 个贷产品
 * </p>
 *
 * @author wucl
 * @since 2024-03-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "个贷产品")
public class PersonalProduction extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 估价对象id
     */
    private Long targetId;

    /**
     * 产品类型
     */
    @ImportCell
    @ExportCell(columnName = "产品类型")
    private String production;

    /**
     * 二维码路经
     */
    @ImportCell
    @ExportCell(columnName = "二维码路经")
    private String qrCode;

    /**
     * 库存状态（0：已入库  1：已出库）
     */
    @ImportCell
    @ExportCell(columnName = "库存状态（0：已入库  1：已出库）")
    private Boolean repertoryState;

    /**
     * 入库时间
     */
    @ImportCell
    @ExportCell(columnName = "入库时间")
    private LocalDateTime repertoryInTime;

    /**
     * 出库时间
     */
    @ImportCell
    @ExportCell(columnName = "出库时间")
    private LocalDateTime repertoryOutTime;

    /**
     * 审核(待审核，审核通过，审核拒绝，不审)
     */
    @ImportCell
    @ExportCell(columnName = "审核(待审核，审核通过，审核拒绝，不审)")
    private String checkState;

    /**
     * 电子文档路经
     */
    @ImportCell
    @ExportCell(columnName = "电子文档路经")
    private String filePath;

    /**
     * 产品创建人（userId）
     */
    private Long userId;

    /**
     * 是否线上产品
     */
    private Boolean isOnline;

    private LocalDateTime productionTime;


}
