package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 个贷实勘表
 * </p>
 *
 * @author wucl
 * @since 2024-03-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "个贷实勘表")
public class PersonalScene extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 个贷订单id
     */
    private Long personalId;

    /**
     * 绕城内住宅
     */
    @ImportCell
    @ExportCell(columnName = "绕城内住宅")
    private Integer inRingDewlling;

    /**
     * 绕城外住宅
     */
    @ImportCell
    @ExportCell(columnName = "绕城外住宅")
    private Integer outRingDewlling;

    /**
     * 绕城内商业
     */
    @ImportCell
    @ExportCell(columnName = "绕城内商业")
    private Integer inRingBuilding;

    /**
     * 绕城外商业
     */
    @ImportCell
    @ExportCell(columnName = "绕城外商业")
    private Integer outRingBuilding;

    /**
     * 现场照片
     */
    @ImportCell
    @ExportCell(columnName = "现场照片")
    private String images;

    /**
     * 备注
     */
    @ImportCell
    @ExportCell(columnName = "备注")
    private String remark;

    /**
     * 实勘人id
     */
    private Long userId;


}
