package com.dayou.entity;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.annotation.LuceneResource;
import com.dayou.common.BaseEntity;
import com.dayou.enums.MainBusinessEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 个贷估价对象
 * </p>
 *
 * @author wucl
 * @since 2024-03-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "个贷估价对象")
public class PersonalTarget extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 个贷订单id
     */
    private Long personalId;

    /**
     * 坐落
     */
    @ImportCell
    @ExportCell(columnName = "坐落")
    private String location;


    /**
     * 面积
     */
    private BigDecimal acreage;

    /**
     * 总价
     */
    @ImportCell
    @ExportCell(columnName = "总价")
    private BigDecimal amount;

    /**
     * 单价
     */
    @ImportCell
    @ExportCell(columnName = "单价")
    private BigDecimal price;

    /**
     * 房产证
     */
    @ImportCell
    @ExportCell(columnName = "房产证")
    private String houseCertificate;

    /**
     * 国土证
     */
    @ImportCell
    @ExportCell(columnName = "国土证")
    private String landCertificate;

    /**
     * 不动产权证
     */
    @ImportCell
    @ExportCell(columnName = "不动产权证")
    private String immovableCertificate;

    /**
     * 实物状况
     */
    @ImportCell
    @ExportCell(columnName = "实物状况")
    private String entityInfo;

    /**
     * 区位状况
     */
    @ImportCell
    @ExportCell(columnName = "区位状况")
    private String backgroundInfo;

    /**
     * 变现能力分析
     */
    @ImportCell
    @ExportCell(columnName = "变现能力分析")
    private String sellingAbility;

    /**
     * 是否线上产品
     */
    @ImportCell
    @ExportCell(columnName = "是否线上产品")
    private Boolean isOnline;

    /**
     * 客户反馈
     */
    private String feedback;

    /**
     * 验证二维码路经
     */
    private String validateCode;

    /**
     * 出入库二维码路经
     */
    private String qrCode;
    /**
     * 已出产品类型
     */
    private String productions;

    @TableField(exist = false)
    private String bailorA;
    @TableField(exist = false)
    private String bailorB;

}
