package com.dayou.entity;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 业务产品收款表
 * </p>
 *
 * @author wucl
 * @since 2023-12-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "业务产品收款表")
public class ProductionFund extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 业务类型
     */
    @ImportCell
    @ExportCell(columnName = "业务类型")
    private String businessType;

    /**
     * 业务主id
     */
    private Long businessId;

    /**
     * 产品编号（包括价值意见书号，报告号，复评函号）
     */
    @ImportCell
    @ExportCell(columnName = "产品编号")
    private String productionNo;

    /**
     * 产品类型
     */
    private String productionType;


    /**
     * 订单收款id
     */
    private Long orderFundId;

    /**
     * 产品应收款
     */
    private BigDecimal productionShouldAmount;

    /**
     * 实收款
     */
    @ImportCell
    @ExportCell(columnName = "实收款")
    private BigDecimal realAmount;

    /**
     * 标准收费
     */
    @ImportCell
    @ExportCell(columnName = "标准收费")
    private BigDecimal standardAmount;



    /**
     * 应收款备注
     */
    private String remark;

    /**
     * 评估总金额
     */
    @TableField(exist = false)
    private BigDecimal evaluateAmount;

    /**
     *订单号
     */
    @TableField(exist = false)
    private String orderId;
    /**
     *订单名称
     */
    @TableField(exist = false)
    private String orderName;


}
