package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 产品退回申请表
 * </p>
 *
 * @author GouGengquan
 * @since 2025-04-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "产品退回申请表")
public class ProductionReturn extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 业务类型
     */
    @ImportCell
    @ExportCell(columnName = "业务类型")
    private String businessType;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 产品id
     */
    private Long productionId;

    /**
     * 客户经理id
     */
    private Long clinetManagerId;

    /**
     * 项目名称
     */
    @ImportCell
    @ExportCell(columnName = "项目名称")
    private String name;

    /**
     * 项目编号
     */
    @ImportCell
    @ExportCell(columnName = "项目编号")
    private String orderId;

    /**
     * 产品编号
     */
    @ImportCell
    @ExportCell(columnName = "产品编号")
    private String productionNo;

    /**
     * 产品类型
     */
    @ImportCell
    @ExportCell(columnName = "产品类型")
    private String productionType;

    /**
     * 客户名称
     */
    @ImportCell
    @ExportCell(columnName = "客户名称")
    private String clientName;

    /**
     * 业务来源
     */
    @ImportCell
    @ExportCell(columnName = "业务来源")
    private String clientSubName;

    /**
     * 委托人
     */
    @ImportCell
    @ExportCell(columnName = "委托人")
    private String bailor;

    /**
     * 退产品原因
     */
    @ImportCell
    @ExportCell(columnName = "退产品原因")
    private String returnReason;

    /**
     * 是否包含退发票
     */
    private Integer returnInvoice;

    /**
     * 审核中、审核通过、审核拒绝 （用代码中的枚举code）
     */
    @ImportCell
    @ExportCell(columnName = "审核中、审核通过、审核拒绝 （用代码中的枚举code）")
    private String status;

    /**
     * 发票号
     */
    private String invoiceNo;


}
