package com.dayou.entity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 报告主表
 * </p>
 *
 * @author wucl
 * @since 2023-08-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "报告主表")
public class ReportMain extends BaseEntity {

    private static final long serialVersionUID=1L;

    private Long headlineRootId;

    /**
     * 报告类型（报告标题的根节点）
     */
    private String reportType;

    /**
     * 报告参数
     */
    @ImportCell
    @ExportCell(columnName = "报告参数")
    private String reportParams;

    /**
     * 唯一标识符
     */
    @ImportCell
    @ExportCell(columnName = "唯一标识符")
    private String reportKey;

    /**
     * 报告名称
     */
    @ImportCell
    @ExportCell(columnName = "报告名称")
    private String title;

    /**
     * 保存路经
     */
    @ImportCell
    @ExportCell(columnName = "保存路经")
    private String url;

    /**
     * 作者
     */
    private Long userId;

    /**
     * 审核人
     */
    private Long checkerId;

    /**
     * 报告状态
     */
    @ImportCell
    @ExportCell(columnName = "报告状态")
    private String status;

    /**
     * 报告主体名称(用于替换标题中存在主体名称占位符)
     */
    @TableField(exist = false)
    private String mainObject;

    @TableField(exist = false)
    private String prefix;

}
