package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 报告名词占位符
 * </p>
 *
 * @author wucl
 * @since 2023-09-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "报告名词占位符")
public class ReportNoun extends BaseEntity {

    private static final long serialVersionUID=1L;


    /**
     * 报告类型id
     */
    private String reportType;

    /**
     * 中文含义
     */
    @ImportCell
    @ExportCell(columnName = "中文含义")
    private String name;

    /**
     * 占位符
     */
    @ImportCell
    @ExportCell(columnName = "占位符")
    private String placeholder;

    /**
     * 值
     */
    @ImportCell
    @ExportCell(columnName = "值")
    private String value;


}
