package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 报告段落
 * </p>
 *
 * @author wucl
 * @since 2023-08-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "报告段落")
public class ReportSection extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 报告id
     */
    private Long reportId;

    /**
     * 标题id
     */
    private Long headlineId;

    /**
     * 标题
     */
    private String headlineName;

    /**
     * 段落内容
     */
    @ImportCell
    @ExportCell(columnName = "段落内容")
    private String section;

    /**
     * 操作人
     */
    private Long userId;

    /**
     * 测算数据
     */
    private String calculateData;


}
