package com.dayou.entity;
import com.dayou.common.BaseEntity;
import com.dayou.enums.BusinessResourceEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 业务资源转移表
 * </p>
 *
 * @author wucl
 * @since 2023-05-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "业务资源转移表")
public class ResourceTransfer extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 资源id
     */
    private Long resourceId;

    /**
     * 资源类型
     */
    @ImportCell
    @ExportCell(columnName = "资源类型")
    private BusinessResourceEnum resourceType;

    /**
     * 原所属人id
     */
    private Long originalUserId;

    /**
     * 当前所属人id
     */
    private Long currentUserId;

    /**
     * 操作人id
     */
    private Long operatorId;


}
