package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 轮单部门
 * </p>
 *
 * @author wucl
 * @since 2023-10-31
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "轮单部门")
public class SortedDepartment extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 部门id
     */
    private Long departmentId;

    /**
     * 轮单业务
     */
    @ImportCell
    @ExportCell(columnName = "轮单业务")
    private String businessType;

    /**
     * 排队序号
     */
    @ImportCell
    @ExportCell(columnName = "排队序号")
    private Integer sortedIndex;


}
