package com.dayou.entity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 员工档案
 * </p>
 *
 * @author wucl
 * @since 2024-09-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "员工档案")
public class UserArchive extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 房地产估价师注册号
     */
    @ImportCell
    @ExportCell(columnName = "房地产估价师注册号")
    private String majorEvaluatorRegistrationNo;

    /**
     * 土地估价师注册号
     */
    @ImportCell
    @ExportCell(columnName = "土地估价师注册号")
    private String landEvaluatorRegistrationNo;

    /**
     * 资产评估师资格证号
     */
    @ImportCell
    @ExportCell(columnName = "资产评估师资格证号")
    private String assetEvaluatorRegistrationNo;

    /**
     * 评估师名称
     */
    @TableField(exist = false)
    private String evaluatorName;


}
