package com.dayou.entity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 实例节点流水表
 * </p>
 *
 * @author wucl
 * @since 2023-10-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "实例节点流水表")
public class WorkFlowLog extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 业务主表id
     */
    private Long businessId;

    /**
     * 子级业务id
     */
    private String businessSubId;

    /**
     * 三级业务id
     */
    private String businessMinId;

    /**
     * 业务类型
     */
    @ImportCell
    @ExportCell(columnName = "业务类型")
    private String businessType;

    /**
     * 节点实例id
     */
    private Long instanceId;

    /**
     * 状态(通过、退回、重置、终止、跳过)
     */
    @ImportCell
    @ExportCell(columnName = "状态(通过、退回、重置、终止、跳过)")
    private String state;

    /**
     * 处理人id
     */
    private Long handlerId;

    /**
     * 处理时长
     */
    private Long handingTime;

    /**
     * 处理意见
     */
    private String comments;


    @TableField(exist = false)
    private String handler;

    @TableField(exist = false)
    private Long recordId;


}
