package com.dayou.entity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import com.dayou.enums.MainBusinessEnum;
import com.dayou.enums.workflow.HandlerPermissionEnum;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 工作流节点任务
 * </p>
 *
 * @author wucl
 * @since 2023-10-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "工作流节点任务")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class WorkNodeTask extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 节点id
     */
    private Long nodeId;

    /**
     * 任务描述
     */
    @ImportCell
    @ExportCell(columnName = "任务描述")
    private String description;

    /**
     * 任务类型
     */
    @ImportCell
    @ExportCell(columnName = "任务类型")
    private String taskType;

    /**
     * 处理人权限
     */
    private String handlerPermission;

    private Boolean businessHandle;

    /**
     * 权限类型
     */
    @TableField(exist = false)
    private HandlerPermissionEnum name;

    /**
     * 任务描述
     */
    private String info;

    /**
     * 版本
     */
    private String version;
    /**
     * 业务类型
     */
    private MainBusinessEnum businessType;

    /**
     * 权限id(User  post)
     */
    @TableField(exist = false)
    private Long powerId;

    /**
     * 实例任务id
     */
    @TableField(exist = false)
    private Long recordId;


}
