package com.dayou.entity;
import com.dayou.common.BaseEntity;
import java.time.LocalDateTime;

import com.dayou.enums.MainBusinessEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 工作流任务记录
 * </p>
 *
 * @author wucl
 * @since 2023-10-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "工作流任务记录")
public class WorkTaskRecord extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 节点实例id
     */
    private Long instanceId;

    /**
     * 任务id
     */
    private Long taskId;

    /**
     * 处理人id
     */
    private Long handlerId;

    /**
     * 是否完成
     */
    @ImportCell
    @ExportCell(columnName = "是否完成")
    private Boolean finished;

    /**
     * 完成时间
     */
    @ImportCell
    @ExportCell(columnName = "完成时间")
    private LocalDateTime finishTime;




}
