package com.dayou.vo;

import com.dayou.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class AssetsEfficiencyDetailVO {

    private Integer id;

    /**
     * 项目编号
     */
    @Excel(name = "项目编号")
    private String orderId;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String projectName;

    /**
     * 客户名称
     */
    @Excel(name = "客户名称")
    private String customerName;

    /**
     * 业务来源(客户子级名称)
     */
    @Excel(name = "业务来源")
    private String customerSubName;

    /**
     * 客户联系人名
     */
    @Excel(name = "客户联系人名")
    private String linkmanName;

    /**
     * 委托人
     */
    @Excel(name = "委托人")
    private String bailor;

    /**
     * 意见书号(预评)
     */
    @Excel(name = "预评号")
    private String statementNo;

    /**
     * 报告号
     */
    @Excel(name = "报告号")
    private String reportNo;

    /**
     * 项目负责人名
     */
    @Excel(name = "项目负责人")
    private String principalName;

    /**
     * 项目参与人
     */
    @Excel(name = "项目参与人")
    private String members;

    /**
     * 客户经理名
     */
    @Excel(name = "客户经理")
    private String clientManagerName;

    /**
     * 评估金额(万元)(审核定价)
     */
    @Excel(name = "评估金额(万元)")
    private BigDecimal checkValueSum;

    /**
     * 实勘时间
     */
    @Excel(name = "实勘时间")
    private LocalDate reconnaissanceDate;

    /**
     * 出意见书时间
     */
    @Excel(name = "出意见书时间")
    private LocalDate writeStatementDate;

    /**
     * 出报告时间
     */
    @Excel(name = "出报告时间")
    private LocalDate writeReportDate;

    /**
     * 订单应收款(元)
     */
    @Excel(name = "订单应收款(元)")
    private Double shouldAmount;

    /**
     * 订单实收款(元)
     */
    @Excel(name = "订单实收款(元)")
    private Double realAmount;

    /**
     * 当前实例节点名称
     */
    private String currentNodeName;

    /**
     * 当前节点处理人
     */
    private String handlerName;
}
