package com.dayou.vo;

import com.dayou.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.Map;

@Data
public class AssetsRepertoryVo {

    /**
     * 项目编号
     */
    @Excel(name = "项目编号")
    private String orderId;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String orderName;

    /**
     * 报告号
     */
    @Excel(name = "报告号")
    private String reportNo;

    /**
     * 评估目的
     */
    @Excel(name = "评估目的")
    private String purposeName;

    /**
     * 评估方法
     */
    @Excel(name = "评估方法")
    private String methodName;

    /**
     * 评估作业开始日
     */
    @Excel(name = "评估作业开始日")
    private String startTime;

    /**
     * 估价作业结束日
     */
    @Excel(name = "估价作业结束日")
    private String endTime;

    /**
     * 估价时点
     */
    @Excel(name = "估价时点")
    private String valuationBasisDate;

    /**
     * 评估总值(万元)
     */
    @Excel(name = "评估总值(万元)")
    private Double evaluateAmount;

    /**
     * 评估单价(元)
     */
    @Excel(name = "评估单价(元)")
    private Double evaluatePrice;

    /**
     * 委托人
     */
    @Excel(name = "委托人")
    private String bailor;

    /**
     * 委托人电话
     */
    @Excel(name = "委托人电话")
    private String bailorContactTel;

    /**
     * 项目负责人
     */
    @Excel(name = "项目负责人")
    private String principalName;

    /**
     * 第一报告人
     */
    @Excel(name = "第一报告人")
    private String firstReporter;

    /**
     * 第一报告人注册号
     */
    @Excel(name = "第一报告人注册号")
    private String firstReporterRegistrationNo;

    /**
     * 参与报告人与参与报告人注册号
     * memberReporter 参与人
     * memberReporterRegistrationNo 注册号
     */
    private Map<String,String> memberReporter;

    /**
     * 客户名称
     */
    @Excel(name = "客户名称")
    private String customerName;

    /**
     * 业务来源
     */
    @Excel(name = "业务来源")
    private String customerSubName;

    /**
     * 项目经理
     */
    @Excel(name = "项目经理")
    private String managerName;

    /**
     * 入库时间
     */
    @Excel(name = "入库时间")
    private String repertoryInTime;

    /**
     * 出库时间
     */
    @Excel(name = "出库时间")
    private String repertoryOutTime;

    /**
     * 归档时间
     */
    @Excel(name = "归档时间")
    private String archivedTime;

    /**
     * 评估部门
     */
    @Excel(name = "评估部门")
    private String evaluateDepartment;

    /**
     * 市场部门
     */
    @Excel(name = "市场部门")
    private String marketDepartment;

    /**
     * 产品实收金额
     */
    @Excel(name = "产品实收金额")
    private Double productionRealAmount;

}
