package com.dayou.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.annotation.Excel;
import lombok.Data;


import java.math.BigDecimal;
import java.util.Set;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/17
 * created with IntelliJ IDEA.
 */
@Data
public class BrokerageGeneralVO {

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String name;

    /**
     * 事业部流水号
     */
    @Excel(name = "事业部流水号")
    private String businessNo;

    @Excel(name = "合同金额")
    private BigDecimal amount;

    /**
     * 客户经理
     */
    @Excel(name = "客户经理")
    private String clientManager;

    /**
     * 客户经理 是否可预提
     */
    @Excel(name = "客户经理可预提" ,readConverterExp=("true=是,false=否"))
    private Boolean marketerAdvanceBrokerageAble;

    /**
     * 客户经理已预提
     */
    @Excel(name = "客户经理已预提",readConverterExp=("true=是,false=否"))
    private Boolean marketerAdvanceBrokerageDone;

    /**
     * 营销人员总提成
     */
    @Excel(name = "营销人员总提成")
    private BigDecimal marketerBrokerageAmount;

    /**
     * 营销人员总提成状态
     */
    @Excel(name = "营销人员总提成状态",readConverterExp=("NOT_START=未开始,PREDICTING=预提中,TO_PREDICTING=待预提,PREDICTED=已预提,NOT_PAYMENT=回款中,FREEZE=冻结,NOT_SETTLE=待结算,CLOSED=已结算") )
    private String marketerStatus;

    /**
     * 提成率
     */
    @Excel(name = "客户经理提成率")
    private BigDecimal brokerageRate;

    /**
     * 参与人预计提成总金额
     */
    @Excel(name = "参与人预计提成总金额")
    @TableField("participant_predict_brokerage_amount")
    private BigDecimal participantPredictBrokerageAmount;

    /**
     * 参与人实际提成总金额
     */
    @Excel(name = "参与人实际提成总金额")
    @TableField("participant_actual_brokerage_amount")
    private BigDecimal participantActualBrokerageAmount;

    /**
     * 参与人提成状态
     */
    @Excel(name = "参与人提成状态",readConverterExp=("NOT_START=未开始,PREDICTING=预提中,TO_PREDICTING=待预提,PREDICTED=已预提,NOT_PAYMENT=回款中,FREEZE=冻结,NOT_SETTLE=待结算,CLOSED=已结算"))
    private String participantStatus;

    /**
     * 预计提成总金额
     */
    @Excel(name = "预计提成总金额")
    private BigDecimal brokeragePredictAmount;

    /**
     * 已提成总金额
     */
    @Excel(name = "已提成总金额")
    private BigDecimal brokerageActualAmount;

    /**
     * 参与人预提中
     */
    private Boolean participantAdvanceStatus;

    private Long id;

    private Boolean deleted;

    /**
     * 项目id
     */
    private Long itemId;

    /**
     * 项目类型
     */
    private String cateName;

    /**
     * 业务来源
     */
    private String businessSourceName;


    /**
     * 公司OA流水号(项目编号)
     */
    private String oaNo;

    /**
     * 委托单位
     */
    private String clientUnit;

    /**
     * 委托人
     */
    private String clientName;


    private Set<Long> userIds;

}
