package com.dayou.vo;

import com.dayou.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Set;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/20
 * created with IntelliJ IDEA.
 */
@Data
public class BrokerageSequenceVO  {

    /**
     * id
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 人员姓名
     */
    @Excel(name = "人员姓名")
    private String userName;

    /**
     * 提成总金额
     */
    @Excel(name = "提成金额")
    private BigDecimal brokerageAmount;

    @Excel(name = "结算年份")
    private Integer year;

    @Excel(name = "结算月份")
    private Integer month;

    /**
     * 提成体现
     */
    @Excel(name = "提成体现")
    private String embody;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;

    /**
     * 结算类型（项目结算，默认预提）
     */
    @Excel(name = "结算类型" ,readConverterExp=("DEFAULT_AHEAD=默认预提,ITEM_SETTLE=项目结算"))
    private String cate;

    /**
     * 结算时间
     */
    @Excel(name = "结算时间",dateFormat = "yyyy-MM-dd HH:mm:ss" )
    private Date created;

    /**
     * 结算详情
     */
    private List<BrokerageSequenceDetailVO> details ;

    /**
     * 修改时间
     *
     * @ignore
     */
    private Date modified;

    /**
     * 标志位
     *
     * @ignore
     */
    private Boolean deleted;

    /**
     * 所属员工查询条件
     */
    private Set<Long> userIds;



}
