package com.dayou.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.*;

/**
 * 大友个贷评估数据VO
 */
@Data
public class DayouPersonalPriceVO implements Comparable<DayouPersonalPriceVO> {

    /**
     * 估价对象id
     */
    private Long targetId;

    /**
     * 订单号
     */
    private String orderId;

    /**
     * 坐落
     */
    private String location;

    /**
     * 小区名称
     */
    private String communityName;

    /**
     * 价值时点
     */
    private LocalDate valueTiming;

    /**
     * 评估单价
     */
    private BigDecimal price;

    /**
     * 评估面积
     */
    private BigDecimal acreage;

    /**
     * 评估总价
     */
    private BigDecimal amount;

    /**
     * 所在楼层
     */
    private String atFloor;

    /**
     * 房屋类型
     */
    private String buildingType;

    /**
     * 户型
     */
    private String houseType;

    /**
     * 装修情况
     */
    private String decoration;

    /**
     * 匹配类型
     */
    private String matching;


    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        DayouPersonalPriceVO that = (DayouPersonalPriceVO) o;
        return Objects.equals(targetId, that.targetId) ||  Objects.equals(location, that.location);
    }

    @Override
    public int hashCode() {
        return Objects.hash(targetId, orderId, location, communityName, valueTiming, price, acreage, amount, atFloor, buildingType, houseType, decoration);
    }


    @Override
    public int compareTo(DayouPersonalPriceVO o) {
        return o.getValueTiming().compareTo(this.getValueTiming());
    }
}
