package com.dayou.vo;

import com.dayou.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
public class FinanceFineRefundVO {

    /**
     * 罚款退款记录id
     */
    private Long id;

    /**
     * 罚款表id
     */
    private Long fineId;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 业务类型
     */
    private String businessType;

    /**
     * 项⽬编号
     */
    @Excel(name = "项⽬编号")
    private String orderId;

    /**
     * 项⽬名称
     */
    @Excel(name = "项⽬名称")
    private String orderName;

    /**
     * 产品号
     */
    @Excel(name = "产品号")
    private String productionNo;

    /**
     * 产品类型
     */
    @Excel(name = "产品类型")
    private String productionType;

    /**
     * 客户经理
     */
    @Excel(name = "客户经理")
    private String clientManagerName;

    /**
     * 客户名称
     */
    @Excel(name = "客户名称")
    private String customerName;

    /**
     * 业务来源
     */
    @Excel(name = "业务来源")
    private String customerSubName;

    /**
     * 委托方
     */
    @Excel(name = "委托方")
    private String bailor;

    /**
     * 已罚金额（罚款表实际罚款金额）
     */
    @Excel(name = "已罚金额")
    private BigDecimal finedAmount;

    /**
     * 罚款日期
     */
    @Excel(name = "罚款日期")
    private LocalDate punishDate;

    /**
     * 退款金额（罚款表实际罚款金额）
     */
    @Excel(name = "退款金额")
    private BigDecimal refundAmount;

    /**
     * 退款原因(RETURN_PRODUCTION: 退产品,RETURN_MONEY:退款,RETURN_PRODUCTION_INVOICE:退产品并退发票)
     */
    @Excel(name = "退款原因", readConverterExp ="RETURN_PRODUCTION=退产品,RETURN_MONEY=产品回款,RETURN_PRODUCTION_INVOICE=退产品并退发票")
    private String refundReason;

    /**
     * 退款状态(RETURNED:已退 NOT_RETURNED:未退 IGNORE:不退)
     */
    @Excel(name = "退款状态", readConverterExp ="RETURNED=已退,NOT_RETURNED=未退,IGNORE=不退")
    private String status;

    /**
     * 操作人
     */
    @Excel(name = "操作人")
    private String operator;

    /**
     * 退款日期
     */
    @Excel(name = "退款日期")
    private LocalDateTime refundDate;


}
