package com.dayou.vo;

import com.dayou.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class FinanceFineVO {

    /**
     * 罚款记录id
     */
    private Long id;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 业务类型
     */
    private String businessType;

    /**
     * 项⽬编号
     */
    @Excel(name = "项⽬编号")
    private String orderId;

    /**
     * 项⽬名称
     */
    @Excel(name = "项⽬名称")
    private String orderName;

    /**
     * 产品号
     */
    @Excel(name = "产品号")
    private String productionNo;

    /**
     * 产品类型
     */
    @Excel(name = "产品类型")
    private String productionType;

    /**
     * 发票号
     */
    @Excel(name = "发票号")
    private String invoiceNo;

    /**
     * 应收⾦额
     */
    @Excel(name = "应收⾦额")
    private BigDecimal shouldAmount;

    /**
     * 标准收费
     */
    @Excel(name = "标准收费")
    private BigDecimal standardAmount;

    /**
     * 客户经理
     */
    @Excel(name = "客户经理")
    private String clientManagerName;

    /**
     * 超期天数
     */
    @Excel(name = "超期天数")
    private Integer overdueDay;

    /**
     * 客户名称
     */
    @Excel(name = "客户名称")
    private String customerName;

    /**
     * 业务来源
     */
    @Excel(name = "业务来源")
    private String customerSubName;

    /**
     * 委托方
     */
    @Excel(name = "委托方")
    private String bailor;

    /**
     * 罚款⾦额
     */
    @Excel(name = "罚款⾦额")
    private BigDecimal fineAmount;

    /**
     * 实际罚款⾦额
     */
    @Excel(name = "实际罚款⾦额")
    private BigDecimal realFineAmount;

    /**
     * 是否确认
     */
    @Excel(name = "是否确认", readConverterExp ="true=已确认,false=未确认")
    private Boolean status;

    /**
     * 罚款日期
     */
    @Excel(name = "罚款日期")
    private LocalDate punishDate;

    /**
     * 客户经理情况说明
     */
    @Excel(name = "客户经理情况说明")
    private String explain;

}
