package com.dayou.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.annotation.*;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

import static com.dayou.enums.MainBusinessEnum.FINANCE_MANAGEMENT;

/**
 * 财务开票-已开excel导出
 */
@Data
@ExcelSheet(sheetName = "财务开票")
@LuceneResource(value = FINANCE_MANAGEMENT,serviceImplClassName = "financeInvoiceServiceImpl",menuName = "开票审批",url = "/finance/invoice/check")
public class FinanceInvoiceRealExportVo {

    @Excel(name = "发票抬头")
    private String title;

    /**
     * 发票类型
     */
    @ExportCell(columnName = "发票类型")
    private String type;

    /**
     * 税号
     */
    @Excel(name = "税号")
    private String taxNo;

    /**
     * 计划开票金额
     */
    @Excel(name = "计划开票金额")
    private BigDecimal planAmount;

    /**
     * 实际开票日期
     */
    @Excel(name = "实际开票日期")
    private LocalDate realMakeDate;

    /**
     * 开票状态（审核中，驳回，作废，待开票，已开票）
     */
    @Excel(name = "开票状态")
    private String state;

    @Excel(name = "订单号")
    private String orderId;

    @Excel(name = "订单名称")
    private String orderName;

    @Excel(name = "申请人")
    private String applyName;

    /**
     * 业务类型
     */
    @Excel(name = "业务类型")
    private String businessType;

    /**
     * 产品号
     */
    @Excel(name = "产品号")
    private String productionNo;

    /**
     * 申请时间
     */
    @Excel(name = "申请时间")
    private LocalDateTime createTime;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;

}
