package com.dayou.vo;

import com.dayou.annotation.Excel;
import com.dayou.entity.FinanceInvoice;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Date;

@Data
public class FinanceInvoiceVo extends FinanceInvoice {

    /**
     * 业务类型
     */
    @Excel(name = "业务类型")
    private String businessType;

    /**
     * 产品号
     */
    @Excel(name = "产品号")
    private String productionNo;

    /**
     * 产品类型
     */
    private String productionType;

    /**
     * 产品实收金额
     */
    private BigDecimal prodRealAmount;

    /**
     * 订单实收金额
     */
    private BigDecimal orderRealAmount;

    /**
     * 订单应收金额
     */
    private BigDecimal shouldAmount;

    /**
     * 标准收费
     */
    private BigDecimal standardAmount;

    /**
     * 申请时间
     */
    @Excel(name = "申请时间")
    private LocalDateTime createTime;



}
