package com.dayou.vo;

import com.dayou.annotation.Excel;
import lombok.Data;

@Data
public class MajorErrorTypeCountVO {

    /**
     * 部门id
     */
    private Long departmentId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 员工姓名
     */
    @Excel(name = "员工姓名")
    private String userName;

    /**
     * 委托书界定事项和报告描述不符
     */
    @Excel(name = "委托书界定事项和报告描述不符")
    private Integer errorTypeCount01;

    /**
     * 委托方函重要数据出错
     */
    @Excel(name = "方位图有误")
    private Integer errorTypeCount02;

    /**
     * 假设限制条件错漏
     */
    @Excel(name = "实景图有误")
    private Integer errorTypeCount03;

    /**
     * 地价定义表述有误或不完整
     */
    @Excel(name = "测算参数取值不充分")
    private Integer errorTypeCount04;

    /**
     * 大小写有误
     */
    @Excel(name = "估价结果确定方式不恰当")
    private Integer errorTypeCount05;

    /**
     * 面积有误
     */
    @Excel(name = "估价方法表述不完整")
    private Integer errorTypeCount06;

    /**
     * 报告章节缺漏
     */
    @Excel(name = "实物、权益、区位描述缺项")
    private Integer errorTypeCount07;

    /**
     * 技术路线错误
     */
    @Excel(name = "价值定义表述不完整")
    private Integer errorTypeCount08;

    /**
     * 测算参数取值错误
     */
    @Excel(name = "非重要文字和数据录入错误")
    private Integer errorTypeCount09;

    /**
     *
     */
    @Excel(name = "估价结果价格有误")
    private Integer errorTypeCount10;

    /**
     * 报告出具日期错误
     */
    @Excel(name = "大小写不一致")
    private Integer errorTypeCount11;

    /**
     * 报告有效期错误
     */
    @Excel(name = "面积错误")
    private Integer errorTypeCount12;

    /**
     * 估价依据适用不当
     */
    @Excel(name = "委托方函重要数据出错")
    private Integer errorTypeCount13;

    /**
     * 委托人名称出错
     */
    @Excel(name = "委托人名称出错")
    private Integer errorTypeCount14;

    /**
     * 价值时点出错
     */
    @Excel(name = "假设限制条件错漏")
    private Integer errorTypeCount15;

    /**
     * 委托书界定事项和报告描述不符
     */
    @Excel(name = "价值定义表述错误")
    private Integer errorTypeCount16;

    /**
     * 委托方函重要数据出错
     */
    @Excel(name = "报告章节缺漏")
    private Integer errorTypeCount17;

    /**
     * 假设限制条件错漏
     */
    @Excel(name = "报告出具日期错误")
    private Integer errorTypeCount18;

    /**
     * 地价定义表述有误或不完整
     */
    @Excel(name = "报告有效期错误")
    private Integer errorTypeCount19;

    /**
     * 大小写有误
     */
    @Excel(name = "重要文字和数据录入错误")
    private Integer errorTypeCount20;

    /**
     * 面积有误
     */
    @Excel(name = "估价对象错误")
    private Integer errorTypeCount21;

    /**
     * 报告章节缺漏
     */
    @Excel(name = "估价目的错误")
    private Integer errorTypeCount22;

    /**
     * 技术路线错误
     */
    @Excel(name = "价值时点设定出错")
    private Integer errorTypeCount23;

    /**
     * 测算参数取值错误
     */
    @Excel(name = "登记状况错误")
    private Integer errorTypeCount24;

    /**
     *
     */
    @Excel(name = "权利状况错误")
    private Integer errorTypeCount25;

    /**
     * 报告出具日期错误
     */
    @Excel(name = "利用状况错误")
    private Integer errorTypeCount26;

    /**
     * 报告有效期错误
     */
    @Excel(name = "技术路线错误")
    private Integer errorTypeCount27;

    /**
     * 估价依据适用不当
     */
    @Excel(name = "关键参数取值错误")
    private Integer errorTypeCount28;

    /**
     * 委托人名称出错
     */
    @Excel(name = "编造虚假案例")
    private Integer errorTypeCount29;

    /**
     * 价值时点出错
     */
    @Excel(name = "编造虚假照片")
    private Integer errorTypeCount30;

    /**
     * 价值时点出错
     */
    @Excel(name = "估价依据资料严重不全")
    private Integer errorTypeCount31;

    /**
     * 价值时点出错
     */
    @Excel(name = "评估结果严重失真超30%以上")
    private Integer errorTypeCount32;

    /**
     * 价值时点出错
     */
    @Excel(name = "关键文字和数据错误")
    private Integer errorTypeCount33;


}
