package com.dayou.vo;

import com.dayou.annotation.Excel;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
import com.dayou.entity.PaymentCollection;
import lombok.Data;

import java.time.LocalDate;
import java.util.Date;
import java.util.Set;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/1/11
 * created with IntelliJ IDEA.
 */
@Data
public class PaymentCollectionVO extends PaymentCollection {



    @Excel(name = "项目名称")
    private String itemName;

    @Excel(name = "事业部流水号")
    private String businessNo;

    @Excel(name = "项目类型")
    private String cateName;

    @Excel(name = "业务来源")
    private String businessSource;
    @Excel(name = "委托单位")
    private String clientUnit;
    @Excel(name = "客户名字")
    private String clientName;
    @Excel(name = "客户经理")
    private String clientManager;
    @Excel(name = "负责人")
    private String skiller;
    /**
     * 回款名称
     */
    @Excel(name = "回款名称")
    private String name;

    /**
     * 回款金额
     */
    @Excel(name = "回款金额")
    private Double claimAmount;

    /**
     * 回款日期
     */
    @Excel(name = "回款日期")
    private LocalDate paymentDate;

    /**
     * 认领人
     */
    @Excel(name = "认领人")
    private String claimUser;

    @Excel(name = "付款方")
    private String payer;

    @Excel(name = "到账时间", dateFormat = "yyyy-MM-dd")
    private Date payDatetime;

    private Set<Long> userIds;

    private Integer year;

    private Integer month;

    private Boolean isCurYear = false;

    private Boolean isCurMonth = false;

    private LocalDate lastMonth23;

    /**
     * 筛选开始时间
     */
    private Date startDate;

    /**
     * 筛选结束时间
     */
    private Date endDate;

}
