package com.dayou.vo;

import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2024/1/22
 * created with IntelliJ IDEA.
 */
@Data
public class ProductionOutWarehouseApplyVO {

    private Long id;
    /**
     * 业务类型
     */
    private String businessType;

    /**
     * 产品id
     */
    private Long productionId;

    /**
     * 报告号
     */
    private String reportNo;

    /**
     * 产品应收款id
     */
    @AbcValidate(required = true,message = "该产品还没分配实收款，无法申请。" , fun = Check.NotNull)
    private Long productionFundId;

    /**
     * 申请时实收款金额
     */
    @ImportCell
    @ExportCell(columnName = "申请时实收款金额")
    private BigDecimal realAmount;

    /**
     * 申请原因
     */
    @ImportCell
    @ExportCell(columnName = "申请原因")
    private String remark;

    private String applyName;

    private String departmentCheckState;

    private String departmentChecker;

    private Date  departmentCheckTime;

    private String departmentReply;

    private String financeCheckState;

    private String financeChecker;

    private Date  financeCheckTime;

    private String financeReply;

    private Date created;

}
