package com.dayou.vo;

import com.dayou.annotation.Excel;
import lombok.Data;

@Data
public class ProductionReturnVO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 业务类型
     */
    @Excel(name = "业务类型", readConverterExp = "MAJOR_BUSINESS=大中型业务,PERSONAL_BUSINESS=个贷业务,ASSET_BUSINESS=资产业务")
    private String businessType;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String name;

    /**
     * 项目编号
     */
    @Excel(name = "项目编号")
    private String orderId;

    /**
     * 产品编号
     */
    @Excel(name = "产品编号")
    private String productionNo;

    /**
     * 产品类型
     */
    @Excel(name = "产品类型")
    private String productionType;

    /**
     * 客户经理
     */
    @Excel(name = "客户经理")
    private String clientManager;

    /**
     * 客户名称
     */
    @Excel(name = "客户名称")
    private String clientName;

    /**
     * 业务来源
     */
    @Excel(name = "业务来源")
    private String clientSubName;

    /**
     * 委托人
     */
    @Excel(name = "委托人")
    private String bailor;

    /**
     * 退产品原因
     */
    @Excel(name = "退产品原因")
    private String returnReason;

    /**
     * 是否包含退发票
     */
    @Excel(name = "是否包含退发票", readConverterExp = "0=不退发票,1=退发票,2=未开发票")
    private Integer returnInvoice;

    /**
     * 审核中、审核通过、审核拒绝 （用代码中的枚举code）
     */
    @Excel(name = "审核状态", readConverterExp = "REVIEWING=审核中,APPROVE=审核通过,REJECTION=审核拒绝")
    private String status;

}
