package com.dayou.vo;

import com.dayou.annotation.Excel;
import com.dayou.common.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

@Data
public class RealFundAssetsStatVO extends BaseEntity {

    /**
     * 是否归档
     */
    @Excel(name = "是否归档", readConverterExp = "true=已归档,false=未归档")
    private Boolean ifSaveFile;

    /**
     * 报告号
     */
    @Excel(name = "报告号")
    private String reportNo;

    /**
     * 项目编号
     */
    @Excel(name = "项目编号")
    private String orderId;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String orderName;

    /**
     * 市场部门
     */
    @Excel(name = "市场部门")
    private String marketDepartment;

    /**
     * 评估部门
     */
    @Excel(name = "评估部门")
    private String evaluateDepartment;

    /**
     * 客户经理名
     */
    @Excel(name = "客户经理")
    private String clientManagerName;

    /**
     * 项目负责人名
     */
    @Excel(name = "项目负责人")
    private String principalName;

    @Excel(name = "参与人")
    private String joiner;

    /**
     * 付款方
     */
    @Excel(name = "付款方")
    private String payer;

    /**
     * 入账时间
     */
    @Excel(name = "入账时间")
    private LocalDate payDateTime;

    /**
     * 认领时间
     */
    @Excel(name = "认领时间", dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date claimDatetime;

    /**
     * 订单应收款
     */
    @Excel(name = "订单应收款（元）")
    private BigDecimal orderShouldAmount;

    /**
     * 产品应收款
     */
    @Excel(name = "产品应收款（元）")
    private BigDecimal prodShouldAmount;

    /**
     * 认领金额
     */
    @Excel(name = "认领金额（元）")
    private BigDecimal claimAmount;

    /**
     * 认领人
     */
    @Excel(name = "认领人")
    private String claimUser;

    /**
     * 资产业务类型
     */
    @Excel(name = "资产业务类型")
    private String assetsBusinessGener;

    /**
     * 客户名称
     */
    @Excel(name = "客户名称")
    private String clientName;

    /**
     * 业务来源
     */
    @Excel(name = "业务来源")
    private String clientSubName;

    /**
     * 委托人
     */
    @Excel(name = "委托人")
    private String bailor;

    /**
     * 评估价值
     */
    @Excel(name = "评估价值(元)")
    private BigDecimal evaluateAmount;

    /**
     * 产品类型
     */
    @Excel(name = "产品类型", readConverterExp = "REPORT=报告,STATEMENT=意见书,LETTER=复评函")
    private String productionType;

    private String members;


}
