package com.dayou.vo;

import com.dayou.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;
import java.util.List;

/**
 * 类说明：大中型结算项目
 *
 * @author: wucl
 * @since: 2024/5/29
 * created with IntelliJ IDEA.
 */
@Data
public class SettleMajorProductionVO {

    private Long id;

    @Excel(name = "项目编号")
    private String orderId;

    @Excel(name = "产品号", width = 30)
    private String reportNo;

    @Excel(name = "结算日期")
    private LocalDate settleDate;

    @Excel(name = "认领日期")
    private LocalDate claimDate;

    @Excel(name = "归档日期")
    private LocalDate saveFileDate;

    @Excel(name = "送达日期")
    private LocalDate deliveryDate;

    @Excel(name = "到账日期")
    private LocalDate payDateTime;

    @Excel(name = "项目名称", width = 30)
    private String name;

    @Excel(name = "客户名称")
    private String clientName;

    @Excel(name = "业务来源")
    private String clientSubName;

    @Excel(name = "委托方")
    private String bailor;

    @Excel(name = "市场部")
    private String marketDepartmentName;

    @Excel(name = "评估部")
    private String evaluateDepartmentName;

    @Excel(name = "客户经理")
    private String clientManager;

    @Excel(name = "负责人")
    private String principal;

    @Excel(name = "参与人")
    private String joiner;

    @Excel(name = "结算金额(元)")
    private BigDecimal claimAmount;

    @Excel(name = "评估价值(元)")
    private BigDecimal evaluateAmount;

//    @Excel(name = "开票日期")
//    private Date invoiceDate;
//
//    @Excel(name = "开票人")
//    private String invoiceUser;
//
//    @Excel(name = "发票号")
//    private String invoiceNo;

    /**
     * 开票信息
     */
    private List<SettleProInvoiceVo> invoices;

    private String startDate;

    private String endDate;

    private String payStartDate;

    private String payEndDate;

    private String members;


}
