package com.dayou.vo;

import com.dayou.annotation.Excel;
import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;
import java.util.Set;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2024/5/30
 * created with IntelliJ IDEA.
 */
@Data
public class UserCommissionTotalAmountVO {

    /**
     * userId
     */
    private Long id;

    @Excel(name="人员")
    private String userName;
    @Excel(name = "预计提成金额(元)")
    private BigDecimal allCommissionTotalAmount;
    @Excel(name="提成金额(元)")
    private BigDecimal commissionTotalAmount;
    @Excel(name = "统计时段（开始）")
    @AbcValidate(required = true,message = "统计时间段不能为空",fun = Check.NotEmpty)
    private String startDate;
    @Excel(name = "统计时段（结束）")
    @AbcValidate(required = true,message = "统计时间段不能为空",fun = Check.NotEmpty)
    private String endDate;
    @Excel(name = "人员类型")
    private String userType;
    @Excel(name = "业务类型")
    private String businessType;

    /**
     * 所属员工查询条件
     */
    private Set<Long> userIds;

    private List<Long> departmentIds;
}
