package com.dayou.report.calculation.cityPrice.bo;

import com.dayou.report.calculation.cityPrice.annotation.TableHead;
import com.dayou.report.html.DataToHtmlBO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 类说明：城区商服中心基本情况表
 *
 * @author: wucl
 * @since: 2023/9/14
 * created with IntelliJ IDEA.
 */
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BusinessCenterBaseBO extends DataToHtmlBO{

    /**
     * 编号
     */
    @TableHead(name="编号",isRequest = true)
    private Integer no;

    /**
     * 商服名称
     */
    @TableHead(name="商服名称",isRequest = true)
    private String name;
    /**
     * 商服中心范围
     */
    @TableHead(name="商服中心范围",isRequest = true)
    private String scope;
    /**
     * 经营种类
     */
    @TableHead(name="经营种类",isRequest = true)
    private String categories;
    /**
     * 占地面积（平方米）
     */
    @TableHead(name="占地面积",isRequest = true)
    private BigDecimal acreage;
    /**
     * 店铺数量
     */
    @TableHead(name="店铺数量",isRequest = true)
    private BigDecimal shopNum;
    /**
     * 购物人次（人次/日）
     */
    @TableHead(name="购物人次",isRequest = true)
    private BigDecimal shoppingNum;
    /**
     * 营业额（万元/年）
     */
    @TableHead(name="营业额",isRequest = true)
    private BigDecimal turnover;
    /**
     * 平均租金 （元/平方米 年）
     */
    @TableHead(name="平均租金",isRequest = true)
    private BigDecimal rent;

}
