package com.dayou.report.calculation.cityPrice.bo;

import com.dayou.report.calculation.cityPrice.annotation.TableHead;
import com.dayou.report.html.DataToHtmlBO;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 类说明：城区商服中心级别功能分一览表
 *
 * @author: wucl
 * @since: 2023/9/14
 * created with IntelliJ IDEA.
 */
@Builder
@Data
public class BusinessCenterCapacityScoreBO extends DataToHtmlBO {

    /**
     *  级别
     */
    @TableHead(name="级别")
    private String level;
    /**
     * 功能分
     */
    @TableHead(name="功能分")
    private BigDecimal score;

    /**
     * 服务半径
     */
    @TableHead(name="服务半径")
    private BigDecimal serviceRadius;
}
