package com.dayou.report.calculation.cityPrice.bo;

import com.dayou.report.calculation.cityPrice.annotation.TableHead;
import com.dayou.report.html.DataToHtmlBO;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 类说明：城区商服繁华影响度作用分值表(等距间距表)
 *
 * @author: wucl
 * @since: 2023/9/14
 * created with IntelliJ IDEA.
 */
@Data
public class BusinessCenterEffectDistanceBo extends DataToHtmlBO {

    /**
     * 影响距离
     */
    @TableHead(name="影响距离")
    private String effectDistance;
    /**
     * 相对距离
     */
    @TableHead(name="相对距离")
    private String relativelyDistance;
    /**
     * 0.0
     */
    @TableHead(name="0.0")
    private BigDecimal distance0;
    /**
     * 0.1
     */
    @TableHead(name="0.1")
    private BigDecimal distance1;
    /**
     * 0.2
     */
    @TableHead(name="0.2")
    private BigDecimal distance2;
    /**
     * 0.3
     */
    @TableHead(name="0.3")
    private BigDecimal distance3;
    /**
     * 0.4
     */
    @TableHead(name="0.4")
    private BigDecimal distance4;
    /**
     * 0.5
     */
    @TableHead(name="0.5")
    private BigDecimal distance5;
    /**
     * 0.6
     */
    @TableHead(name="0.6")
    private BigDecimal distance6;
    /**
     * 0.7
     */
    @TableHead(name="0.7")
    private BigDecimal distance7;
    /**
     * 0.8
     */
    @TableHead(name="0.8")
    private BigDecimal distance8;
    /**
     * 0.9
     */
    @TableHead(name="0.9")
    private BigDecimal distance9;
    /**
     * 1.0
     */
    @TableHead(name="1.0")
    private BigDecimal distance10;
}
