package com.dayou.report.calculation.cityPrice.bo;

import com.dayou.report.calculation.cityPrice.annotation.TableHead;
import com.dayou.report.html.DataToHtmlBO;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 类说明：城区商服繁华影响度作用分值表(等分间距表)
 *
 * @author: wucl
 * @since: 2023/9/14
 * created with IntelliJ IDEA.
 */
@Data
public class BusinessCenterEffectScoreBO extends DataToHtmlBO {

    /**
     * 影响距离
     */
    @TableHead(name="影响距离")
    private String effectDistance;

    /**
     * 作用分
     */
    @TableHead(name="作用分")
    private String effectScore;

    /**
     * 1
     */
    @TableHead(name="1")
    private BigDecimal score0 ;
    /**
     * 10
     */
    @TableHead(name="10")
    private BigDecimal score1;
    /**
     * 20
     */
    @TableHead(name="20")
    private BigDecimal score2;
    /**
     * 30
     */
    @TableHead(name="30")
    private BigDecimal score3;
    /**
     * 40
     */
    @TableHead(name="40")
    private BigDecimal score4;
    /**
     * 50
     */
    @TableHead(name="50")
    private BigDecimal score5;
    /**
     * 60
     */
    @TableHead(name="60")
    private BigDecimal score6;
    /**
     * 70
     */
    @TableHead(name="70")
    private BigDecimal score7;
    /**
     * 80
     */
    @TableHead(name="80")
    private BigDecimal score8;
    /**
     * 90
     */
    @TableHead(name="90")
    private BigDecimal score9;
    /**
     * 100
     */
    @TableHead(name="100")
    private BigDecimal score10;
}
