package com.dayou.report.calculation.cityPrice.bo;

import com.dayou.report.calculation.cityPrice.annotation.TableHead;
import com.dayou.report.html.DataToHtmlBO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * 类说明：城区商服中心评定指标权重值表（因素成对比较法）
 *
 * @author: wucl
 * @since: 2023/9/14
 * created with IntelliJ IDEA.
 */
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BusinessCenterIndexWeightBO extends DataToHtmlBO {

    /**
     * 指标名称
     */
    @TableHead(name="指标名称",isRequest = true)
    private String name;

    /**
     * 占地面积（对比指标V1）
     */
    @TableHead(name="占地面积V1" ,isRequest = true)
    private BigDecimal acreage;
    /**
     * 店铺数量 （对比指标V2）
     */
    @TableHead(name="店铺数量V2",isRequest = true)
    private BigDecimal shopNum;
    /**
     * 购物人次（对比指标V3）
     */
    @TableHead(name="购物人次V3",isRequest = true)
    private BigDecimal shoppingNum;
    /**
     * 营业额（对比指标V4）
     */
    @TableHead(name="营业额V4",isRequest = true)
    private BigDecimal turnover;
    /**
     * 平均租金 （对比指标V5）
     */
    @TableHead(name="平均租金V5" ,isRequest = true)
    private BigDecimal rent;

    /**
     * V6
     */
    @TableHead(name="V6",isRequest = true)
    private BigDecimal v6;
    /**
     * 总计
     */
    @TableHead(name="总计")
    private BigDecimal total;
    /**
     * 权重值
     */
    @TableHead(name="权重值")
    private BigDecimal weight;


}
