package com.dayou.report.calculation.cityPrice.bo;

import com.dayou.report.calculation.cityPrice.annotation.TableHead;
import com.dayou.report.html.DataToHtmlBO;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 类说明：区商服中心级别划分及综合指标值表
 *
 * @author: wucl
 * @since: 2023/9/14
 * created with IntelliJ IDEA.
 */
@Builder
@Data
public class BusinessCenterLevelBO extends DataToHtmlBO {

    /**
     * 级别
     */
    @TableHead(name="级别")
    private String level;

    /**
     * 商服中心名称
     */
    @TableHead(name="商服中心名称")
    private String name;

    /**
     * 级内综合指标值
     */
    @TableHead(name="级内综合指标值")
    private BigDecimal comprehensive;
    /**
     * 级内综合指标平均值
     */
    @TableHead(name="级内综合指标平均值")
    private BigDecimal avgComprehensive;
    /**
     * 级内综合指标平均值归一
     */
    @TableHead(name="级内综合指标平均值归一")
    private BigDecimal avgComprehensiveFormat;
}
