package com.dayou.service;
import com.dayou.entity.AssetsEvaluationTargetType;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 资产评估对象类型表 服务类
 * </p>
 *
 * @author GouGengquan
 * @since 2024-03-28
 */
public interface IAssetsEvaluationTargetTypeService extends IService<AssetsEvaluationTargetType> {

        /**
         * 根据父级id获取资产评估对象类型
         * @param parentId 查询条件
         * @return List<AssetsEvaluationTargetType>
         */
        List<AssetsEvaluationTargetType> getTypeList(Long parentId);

        /**
         * 新增资产评估对象类型
         * @param assetsEvaluationTargetType 资产评估对象类型
         * @return Boolean
         */
        Boolean add(AssetsEvaluationTargetType assetsEvaluationTargetType);

        /**
         * 修改资产评估对象类型
         * @param assetsEvaluationTargetType 资产评估对象类型
         * @return Boolean
         */
        Boolean update(AssetsEvaluationTargetType assetsEvaluationTargetType);

}
