package com.dayou.service;

import com.dayou.dto.TaskRecordDTO;
import com.dayou.entity.BusinessProductionPerformance;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.BusinessProductionPerformanceVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 业务产品绩效分配 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-11-07
 */
public interface IBusinessProductionPerformanceService extends IService<BusinessProductionPerformance> {

    Page<BusinessProductionPerformance> selectPage(Page page, BusinessProductionPerformance businessProductionPerformance);

    BusinessProductionPerformance detail(Long id);

    Boolean add(TaskRecordDTO<BusinessProductionPerformance> taskRecordDTO);

    Boolean update(TaskRecordDTO<BusinessProductionPerformance> businessProductionPerformance);

    Boolean delete(Long id);

    BusinessProductionPerformanceVO getDetail(BusinessProductionPerformanceVO performance);

    /**
     * 根据业务类型,产品id及checkLoop获取质检信息
     * @param businessProductionPerformance 查询条件
     * @return BusinessProductionPerformance
     */
    BusinessProductionPerformance getProductionPerformance(BusinessProductionPerformance businessProductionPerformance);
}
