package com.dayou.service;
import com.dayou.dto.ProductionReturnSelectDTO;
import com.dayou.dto.WorkNodeCommit;
import com.dayou.entity.ProductionReturn;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.ProductionReturnVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 产品退回申请表 服务类
 * </p>
 *
 * @author GouGengquan
 * @since 2025-04-07
 */
public interface IProductionReturnService extends IService<ProductionReturn> {

        /**
         * 分页查询产品退回申请
         * @param page 分页
         * @param dto 查询条件
         * @return Page<ProductionReturnVO>
         */
        Page<ProductionReturnVO> selectPage(Page page, ProductionReturnSelectDTO dto);

        /**
         * 导出产品退回申请
         * @param dto 查询条件
         * @return Page<ProductionReturnVO>
         */
        List<ProductionReturnVO> exportList(ProductionReturnSelectDTO dto);

        ProductionReturn detail(Long id);

        /**
         * 发起产品退回流程
         * @param productionReturn 产品退回信息
         * @return WorkNodeCommit
         */
        Boolean add(ProductionReturn productionReturn);

        Boolean update(ProductionReturn productionReturn);

        Boolean delete(Long id);

}
