package com.dayou.service.impl;

import com.dayou.entity.BusinessFile;
import com.dayou.mapper.BusinessFileMapper;
import com.dayou.service.IBusinessFileService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dayou.utils.ExcelUtil;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;
import com.dayou.enums.BatchTaskTypeEnum;

/**
 * <p>
 * 业务文档 服务实现类
 * </p>
 *
 * @author wucl
 * @since 2024-03-01
 */
@Service
public class BusinessFileServiceImpl extends ServiceImpl<BusinessFileMapper, BusinessFile> implements IBusinessFileService {


    @Override
    @SuppressWarnings("unchecked")
    public Page<BusinessFile> selectPage(Page page,BusinessFile businessFile){
        return this.page(page, new QueryWrapper<BusinessFile>(businessFile));
    }


    @Override
    public BusinessFile detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(BusinessFile businessFile){
        return  this.save(businessFile);
    }

    @Override
    public Boolean update(BusinessFile businessFile){
        return  this.updateById(businessFile);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }
}
