package com.dayou.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.dayou.mapper.ExternalDyDataBaseMapper;
import com.dayou.service.IExternalDyDataBaseService;
import com.dayou.vo.ExternalPersonalVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@DS("dydb")
@Service
public class ExternalDyDataBaseServiceImpl implements IExternalDyDataBaseService {

    @Autowired
    private ExternalDyDataBaseMapper externalDyDataBaseMapper;

    @Override
    public List<ExternalPersonalVO> externalPriceQiYuDeal(List<String> communityNames, Date startDate) {
        //七鱼成交
        return externalDyDataBaseMapper.queryQiYuDealPrice(communityNames,startDate);
    }

    @Override
    public List<ExternalPersonalVO> externalPriceQiYuUp(List<String> communityNames, Date startDate) {
        //七鱼挂牌
        return externalDyDataBaseMapper.queryQiYuUpPrice(communityNames,startDate);
    }

    @Override
    public List<ExternalPersonalVO> externalPriceLianJiaDeal(List<String> communityNames, Date startDate) {
        //链家成交
        return externalDyDataBaseMapper.queryLianJiaDealPrice(communityNames,startDate);
    }

    @Override
    public List<ExternalPersonalVO> externalPriceLianJiaUp(List<String> communityNames, Date startDate) {
        //链家挂牌
        return externalDyDataBaseMapper.queryLianJiaUpPrice(communityNames,startDate);
    }
}
