package com.dayou.service.impl;

import com.dayou.entity.OrderFundAllot;
import com.dayou.mapper.OrderFundAllotMapper;
import com.dayou.service.IOrderFundAllotService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dayou.utils.ExcelUtil;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;
import com.dayou.enums.BatchTaskTypeEnum;

/**
 * <p>
 * 订单收款分配表 服务实现类
 * </p>
 *
 * @author wucl
 * @since 2024-05-29
 */
@Service
public class OrderFundAllotServiceImpl extends ServiceImpl<OrderFundAllotMapper, OrderFundAllot> implements IOrderFundAllotService {


    @Override
    @SuppressWarnings("unchecked")
    public Page<OrderFundAllot> selectPage(Page page,OrderFundAllot orderFundAllot){
        return this.page(page, new QueryWrapper<OrderFundAllot>(orderFundAllot));
    }


    @Override
    public OrderFundAllot detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(OrderFundAllot orderFundAllot){
        return  this.save(orderFundAllot);
    }

    @Override
    public Boolean update(OrderFundAllot orderFundAllot){
        return  this.updateById(orderFundAllot);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }
}
