package com.dayou.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.dayou.entity.PersonalExample;
import com.dayou.mapper.PersonalExampleMapper;
import com.dayou.service.IPersonalExampleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dayou.utils.ExcelUtil;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;
import com.dayou.enums.BatchTaskTypeEnum;

/**
 * <p>
 * 个贷可比实例 服务实现类
 * </p>
 *
 * @author wucl
 * @since 2024-03-01
 */
@DS("mbs")
@Service
public class PersonalExampleServiceImpl extends ServiceImpl<PersonalExampleMapper, PersonalExample> implements IPersonalExampleService {


    @Override
    @SuppressWarnings("unchecked")
    public Page<PersonalExample> selectPage(Page page,PersonalExample personalExample){
        return this.page(page, new QueryWrapper<PersonalExample>(personalExample));
    }


    @Override
    public PersonalExample detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(PersonalExample personalExample){
        return  this.save(personalExample);
    }

    @Override
    public Boolean update(PersonalExample personalExample){
        return  this.updateById(personalExample);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }
}
