package com.dayou.service.impl;

import com.dayou.common.PullDownModel;
import com.dayou.entity.SortedDepartment;
import com.dayou.mapper.SortedDepartmentMapper;
import com.dayou.service.ISortedDepartmentService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dayou.utils.ExcelUtil;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;
import com.dayou.enums.BatchTaskTypeEnum;

/**
 * <p>
 * 轮单部门 服务实现类
 * </p>
 *
 * @author wucl
 * @since 2023-10-31
 */
@Service
public class SortedDepartmentServiceImpl extends ServiceImpl<SortedDepartmentMapper, SortedDepartment> implements ISortedDepartmentService {

    @Autowired
    private SortedDepartmentMapper sortedDepartmentMapper;

    @Override
    @SuppressWarnings("unchecked")
    public Page<SortedDepartment> selectPage(Page page,SortedDepartment sortedDepartment){
        return this.page(page, new QueryWrapper<SortedDepartment>(sortedDepartment));
    }


    @Override
    public SortedDepartment detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(SortedDepartment sortedDepartment){
        return  this.save(sortedDepartment);
    }

    @Override
    public Boolean update(SortedDepartment sortedDepartment){
        return  this.updateById(sortedDepartment);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }

    @Override
    public List<PullDownModel> simpleAll(String businessType) {
        return sortedDepartmentMapper.simpleAll(businessType);
    }
}
