package com.dayou.task;

import com.dayou.service.IFinanceFineService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class FinanceFineScheduled {

    @Autowired
    private IFinanceFineService financeFineService;

    /**
     * 每⽉23日凌晨0点 将逾期订单/产品信息新增到finance_fine表
     */
    @Scheduled(cron = "0 0 0 23 * ?")
    public void compileFineOrderTask() {
        financeFineService.compileFineOrder();
        log.info("搜集逾期订单/产品信息并添加到罚款表完成");
    }

}
